diff --git a/books/axiom.sty b/books/axiom.sty
index e84fc2e..8fc17b4 100644
--- a/books/axiom.sty
+++ b/books/axiom.sty
@@ -173,10 +173,10 @@
 %%
 
 \newcommand{\cmdhead}[1]{% e.g. \cmdhead{name}
-\chapter{)#1~Command}%
+\section{\enspace{})#1~Command}%
 \label{#1}%
 \index{#1}%
-\section{#1 man page}%
+\subsection{\quad{}#1 man page}%
 \index{mapage!#1}%
 \index{#1!manpage}}
 
diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index 1b47f33..01a67c6 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -958,21 +958,13 @@ and the empty string.
                     <10 (STRPOSL 0)
                   <9 (|nextline| T)
                   9> (|scanIgnoreLine| "1" 0)
-                    10> (QENUM "1" 0)
-                    <10 (QENUM 49)
                   <9 (|scanIgnoreLine| 0)
                   9> (|incPrefix?| "command" 1 "1")
                   <9 (|incPrefix?| NIL)
                   9> (|scanToken|)
-                    10> (QENUM "1" 0)
-                    <10 (QENUM 49)
                     10> (|startsComment?|)
-                    11> (QENUM "1" 0)
-                    <11 (QENUM 49)
                     <10 (|startsComment?| NIL)
                     10> (|startsNegComment?|)
-                    11> (QENUM "1" 0)
-                    <11 (QENUM 49)
                     <10 (|startsNegComment?| NIL)
                     10> (|punctuation?| 49)
                     <10 (|punctuation?| NIL)
@@ -6259,6 +6251,7 @@ will end up as a recursive call to ourselves.
 Austin-Kyoto Common Lisp (AKCL), now known as Gnu Common Lisp (GCL)
 requires some changes to the default memory setup to run Axiom efficently.
 This function performs those setup commands. 
+
 \calls{init-memory-config}{allocate}
 \calls{init-memory-config}{allocate-contiguous-pages}
 \calls{init-memory-config}{allocate-relocatable-pages}
@@ -6349,6 +6342,7 @@ This is used to hande {\tt )lisp} top level commands
 
 \defunsec{make-absolute-filename}{Prepend the absolute path to a filename}
 Prefix a filename with the {\bf AXIOM} shell variable.
+
 \usesdollar{make-absolute-filename}{spadroot}
 \begin{chunk}{defun make-absolute-filename 0}
 (defun make-absolute-filename (name)
@@ -6894,6 +6888,7 @@ Parser Output {\tt -->} Interpreter
 Top-level dispatcher for the interpreter.  It sets local variables
 and then calls processInteractive1 to do most of the work.
 This function receives the output from the parser.
+
 \calls{processInteractive}{initializeTimedNames}
 \calls{processInteractive}{qcar}
 \calls{processInteractive}{processInteractive1}
@@ -7091,6 +7086,7 @@ This is the dispatcher for the type analysis routines. It type analyzes and
 evaluates the expression x in the rootMode (if non-nil)
 which may be \verb|$EmptyMode|. It returns an object if evaluating, and a
 modeset otherwise. It creates the attributed tree.
+
 \calls{interpret1}{mkAtreeWithSrcPos}
 \calls{interpret1}{putTarget}
 \calls{interpret1}{bottomUp}
@@ -7133,7 +7129,8 @@ modeset otherwise. It creates the attributed tree.
 
 \defun{interpret2}{interpret2}
 This is the late interpretCoerce. I removed the call to
-coerceInteractive, so it only does the JENKS cases    ALBI
+coerceInteractive, so it only does the JENKS cases.
+
 \calls{interpret2}{objVal}
 \calls{interpret2}{objMode}
 \calls{interpret2}{member}
@@ -7193,6 +7190,7 @@ Prints out the value x which is of type m, and records the changes
 in environment \verb|$e| into \verb|$InteractiveFrame|
 \verb|$printAnyIfTrue| is documented in setvart.boot. 
 It is controlled with the {\tt )se me any} command.
+
 \calls{recordAndPrint}{output}
 \calls{recordAndPrint}{putHist}
 \calls{recordAndPrint}{mkObjWrap}
@@ -7853,6 +7851,7 @@ carrier[lines,messages,..]-> carrier[lines,messages,..]
 Note that changing the name ``lyne'' to ``line'' will break the system.
 I do not know why. The symptom shows up when there is a file with a large
 contiguous comment spanning enough lines to overflow the stack.
+
 \calls{streamChop}{StreamNull}
 \calls{streamChop}{streamChop}
 \calls{streamChop}{ncloopPrefix?}
@@ -8126,7 +8125,7 @@ and constructs a call to \bfref{Delay}.
 \end{chunk}
 
 \defun{Else?}{Else?}
-\calls{Else?}{QUOTIENT}
+\calls{Else?}{quotient}
 \begin{chunk}{defun Else?}
 (defun |Else?| (|st|)
  "used in incLude1 for parsing"
@@ -9040,6 +9039,7 @@ have been changed from a function call to a simple list.
 This function reads a line from the stream and then conses it up
 with a recursive call to incRgen.
 Note that incRgen recursively wraps this function in a delay list.
+
 \calls{incRgen1}{incRgen}
 \uses{incRgen1}{StreamNil}
 \begin{chunk}{defun incRgen1}
@@ -9058,83 +9058,6 @@ Note that incRgen recursively wraps this function in a delay list.
 
 \chapter{The Token Scanner}
 
-\defvar{SPACE}
-\begin{chunk}{postvars}
-(eval-when (eval load)
-  (defvar SPACE (qenum '"    " 0)))
-
-\end{chunk}
-
-\defvar{ESCAPE}
-\begin{chunk}{postvars}
-(eval-when (eval load)
-  (defvar ESCAPE (qenum '"_   " 0)))
-
-\end{chunk}
-
-\defvar{STRINGCHAR}
-\begin{chunk}{postvars}
-(eval-when (eval load)
-  (defvar STRINGCHAR (qenum '"\"   " 0)))
-
-\end{chunk}
-
-\defvar{PLUSCOMMENT}
-\begin{chunk}{postvars}
-(eval-when (eval load)
-  (defvar PLUSCOMMENT (qenum '"+   " 0)))
-
-\end{chunk}
-
-\defvar{MINUSCOMMENT}
-\begin{chunk}{postvars}
-(eval-when (eval load)
-  (defvar MINUSCOMMENT (qenum '"-   " 0)))
-
-\end{chunk}
-
-\defvar{RADIXCHAR}
-\begin{chunk}{postvars}
-(eval-when (eval load)
-  (defvar RADIXCHAR (qenum '"r   " 0)))
-
-\end{chunk}
-
-\defvar{DOT}
-\begin{chunk}{postvars}
-(eval-when (eval load)
-  (defvar DOT (qenum '".   " 0)))
-
-\end{chunk}
-
-\defvar{EXPONENT1}
-\begin{chunk}{postvars}
-(eval-when (eval load)
-  (defvar EXPONENT1 (qenum '"E   " 0)))
-
-\end{chunk}
-
-\defvar{EXPONENT2}
-\begin{chunk}{postvars}
-(eval-when (eval load)
-  (defvar EXPONENT2 (qenum '"e   " 0)))
-
-\end{chunk}
-
-\defvar{CLOSEPAREN}
-\begin{chunk}{postvars}
-(eval-when (eval load)
-  (defvar CLOSEPAREN   (qenum '")   " 0)))
-
-\end{chunk}
-
-\defvar{QUESTION}
-\begin{chunk}{postvars}
-(eval-when (eval load)
-  (defvar QUESTION (qenum '"?   " 0)))
-
-\end{chunk}
-
 \defvar{scanKeyWords}
 \begin{chunk}{postvars}
 (eval-when (eval load)
@@ -9389,7 +9312,6 @@ returning the token-dq and the rest of the line-stream
 \end{chunk}
 
 \defun{scanIgnoreLine}{scanIgnoreLine}
-\calls{scanIgnoreLine}{qenum}
 \calls{scanIgnoreLine}{incPrefix?}
 \begin{chunk}{defun scanIgnoreLine}
 (defun |scanIgnoreLine| (ln n)
@@ -9397,7 +9319,7 @@ returning the token-dq and the rest of the line-stream
    ((null n) n)
    (t
     (cond
-     ((equal (qenum ln 0) CLOSEPAREN)
+     ((= (char-code (char ln 0)) (char-code #\)))
       (cond
         ((|incPrefix?| "command" 1 ln) t)
         (t nil)))
@@ -9418,7 +9340,6 @@ returning the token-dq and the rest of the line-stream
 \end{chunk}
 
 \defun{scanToken}{scanToken}
-\calls{scanToken}{qenum}
 \calls{scanToken}{startsComment?}
 \calls{scanToken}{scanComment}
 \calls{scanToken}{startsNegComment?}
@@ -9445,7 +9366,7 @@ returning the token-dq and the rest of the line-stream
  (let (b ch n linepos c ln)
  (declare (special |$linepos| |$n| |$ln|))
   (setq ln |$ln|)
-  (setq c (qenum |$ln| |$n|))
+  (setq c (char-code (char |$ln| |$n|))) 
   (setq linepos |$linepos|)
   (setq n |$n|)
   (setq ch (elt |$ln| |$n|))
@@ -9453,15 +9374,15 @@ returning the token-dq and the rest of the line-stream
    (cond
     ((|startsComment?|) (|scanComment|) nil)
     ((|startsNegComment?|) (|scanNegComment|) nil)
-    ((equal c QUESTION)
+    ((= c (char-code #\?))
       (setq |$n| (+ |$n| 1))
       (|lfid| "?"))
     ((|punctuation?| c) (|scanPunct|))
     ((|startsId?| ch) (|scanWord| nil))
-    ((equal c SPACE) (|scanSpace|) nil)
-    ((equal c STRINGCHAR) (|scanString|))
-    ((|digit?| ch) (|scanNumber|))
-    ((equal c ESCAPE) (|scanEscape|))
+    ((= c (char-code #\space)) (|scanSpace|) nil)
+    ((= c (char-code #\")) (|scanString|))
+    ((digitp ch) (|scanNumber|))
+    ((= c (char-code #\_)) (|scanEscape|))
     (t (|scanError|))))
   (cond
     ((null b) nil)
@@ -9479,23 +9400,22 @@ To pair badge and badgee
 
 \end{chunk}
 
-\defun{startsComment?}{startsComment?}
-\calls{startsComment?}{qenum}
+\defun{startsComment?}{Is it a ++ comment?}
 \usesdollar{startsComment?}{ln}
 \usesdollar{startsComment?}{sz}
 \usesdollar{startsComment?}{n}
-\begin{chunk}{defun startsComment?}
+\begin{chunk}{defun startsComment? 0}
 (defun |startsComment?| ()
  (let (www)
  (declare (special |$ln| |$sz| |$n|))
   (cond
    ((< |$n| |$sz|)
     (cond
-     ((equal (qenum |$ln| |$n|) PLUSCOMMENT)
+     ((= (char-code (char |$ln| |$n|)) (char-code #\+))
        (setq www (+ |$n| 1))
        (cond
         ((not (< www |$sz|)) nil)
-        (t (equal (qenum |$ln| www) PLUSCOMMENT))))
+        (t (= (char-code (char |$ln| www)) (char-code #\+)))))
      (t nil)))
    (t nil))))
 
@@ -9524,8 +9444,7 @@ To pair badge and badgee
 
 \end{chunk}
 
-\defun{startsNegComment?}{startsNegComment?}
-\calls{startsNegComment?}{qenum}
+\defun{startsNegComment?}{Is it a -- comment?}
 \usesdollar{startsNegComment?}{ln}
 \usesdollar{startsNegComment?}{sz}
 \usesdollar{startsNegComment?}{n}
@@ -9536,11 +9455,11 @@ To pair badge and badgee
   (cond
    ((< |$n| |$sz|)
     (cond
-     ((equal (qenum |$ln| |$n|) MINUSCOMMENT)
+     ((= (char-code (char |$ln| |$n|)) (char-code #\-))
        (setq www (+ |$n| 1))
        (cond
         ((not (< www |$sz|)) nil)
-        (t (equal (qenum |$ln| www) MINUSCOMMENT))))
+        (t (= (char-code (char |$ln| www)) (char-code #\-)))))
      (t nil)))
    (t nil))))
 
@@ -9626,12 +9545,11 @@ To pair badge and badgee
 ;                 else false
 ;       s1
 \end{verbatim}
-\calls{substringMatch}{qenum}
 \calls{substringMatch}{size}
 \begin{chunk}{defun substringMatch}
 (defun |substringMatch| (l dict i)
  (let (equl ls s s1 done ll u h)
-  (setq h (qenum l i))
+  (setq h (char-code (char l i)))
   (setq u (elt dict h))
   (setq ll (size l))
   (setq s1 "")
@@ -9652,7 +9570,8 @@ To pair badge and badgee
             (cond
              ((or (> k Var5) (not equl)) (return nil))
              (t
-              (setq equl (eql (qenum s k) (qenum l (+ k i))))))
+              (setq equl (= (char-code (char s k)) 
+                            (char-code (char l (+ k i)))))))
               (setq k (+ k 1))))
            (- ls 1) 1)
           (cond (equl (setq s1 s) t) (t nil)))))))
@@ -9708,10 +9627,10 @@ To pair badge and badgee
 (defun |scanPossFloat| (w)
  (declare (special |$ln| |$sz| |$n|))
  (cond
-  ((or (not (< |$n| |$sz|)) (null (|digit?| (elt |$ln| |$n|))))
+  ((or (not (< |$n| |$sz|)) (null (digitp (elt |$ln| |$n|))))
     (|lfkey| w))
   (t
-    (setq w (|spleI| #'|digit?|)) (|scanExponent| "0" w))))
+    (setq w (|spleI| #'digitp)) (|scanExponent| "0" w))))
 
 \end{chunk}
 
@@ -9740,7 +9659,6 @@ To pair badge and badgee
 \end{chunk}
 
 \defun{spleI1}{spleI1}
-\calls{spleI1}{qenum}
 \calls{spleI1}{substring}
 \calls{spleI1}{scanEsc}
 \calls{spleI1}{spleI1}
@@ -9763,7 +9681,7 @@ To pair badge and badgee
       (t
        (setq |$n| (+ |$n| 1)))))))
   (cond
-   ((or (equal |$n| l) (not (equal (qenum |$ln| |$n|) ESCAPE)))
+   ((or (equal |$n| l) (not (= (char-code (char |$ln| |$n|)) (char-code #\_))))
     (cond
       ((and (equal n |$n|) zro) "0")
       (t (substring |$ln| n (- |$n| n)))))
@@ -9814,7 +9732,6 @@ To pair badge and badgee
 \calls{scanEsc}{nextline}
 \calls{scanEsc}{scanEsc}
 \calls{scanEsc}{strposl}
-\calls{scanEsc}{qenum}
 \calls{scanEsc}{startsNegComment?}
 \calls{scanEsc}{startsComment?}
 \usesdollar{scanEsc}{ln}
@@ -9852,7 +9769,7 @@ To pair badge and badgee
          nil)
         (t nil)))
      ((equal |$n| n1) t)
-     ((equal (qenum |$ln| n1) ESCAPE)
+     ((= (char-code (char |$ln| n1)) (char-code #\_))
        (setq |$n| (+ n1 1))
        (|scanEsc|)
        nil)
@@ -9910,7 +9827,6 @@ To pair badge and badgee
 
 \defun{scanExponent}{scanExponent}
 \calls{scanExponent}{lffloat}
-\calls{scanExponent}{qenum}
 \calls{scanExponent}{digit?}
 \calls{scanExponent}{spleI}
 \calls{scanExponent}{concat}
@@ -9925,31 +9841,31 @@ To pair badge and badgee
    ((not (< |$n| |$sz|)) (|lffloat| a w "0"))
    (t
     (setq n |$n|)
-    (setq c (qenum |$ln| |$n|))
+    (setq c (char-code (char |$ln| |$n|)))
     (cond
-     ((or (equal c EXPONENT1) (equal c EXPONENT2))
+     ((or (= c (char-code #\E)) (= c (char-code #\e)))
       (setq |$n| (+ |$n| 1))
       (cond
        ((not (< |$n| |$sz|))
         (setq |$n| n)
         (|lffloat| a w "0"))
-       ((|digit?| (elt |$ln| |$n|))
-        (setq e (|spleI| #'|digit?|))
+       ((digitp (elt |$ln| |$n|))
+        (setq e (|spleI| #'digitp))
         (|lffloat| a w e))
        (t
-        (setq c1 (qenum |$ln| |$n|))
+        (setq c1 (char-code (char |$ln| |$n|)))
         (cond
-         ((or (equal c1 PLUSCOMMENT) (equal c1 MINUSCOMMENT))
+         ((or (= c1 (char-code #\+)) (= c1 (char-code #\-)))
            (setq |$n| (+ |$n| 1))
            (cond
             ((not (< |$n| |$sz|))
              (setq |$n| n)
              (|lffloat| a w "0"))
-            ((|digit?| (elt |$ln| |$n|))
-             (setq e (|spleI| #'|digit?|))
+            ((digitp (elt |$ln| |$n|))
+             (setq e (|spleI| #'digitp))
              (|lffloat| a w
               (cond
-               ((equal c1 MINUSCOMMENT)
+               ((= c1 (char-code #\-))
                 (concat "-" e))
                (t e))))
             (t
@@ -9976,7 +9892,6 @@ To pair badge and badgee
 
 \defun{scanW}{scanW}
 \calls{scanW}{posend}
-\calls{scanW}{qenum}
 \calls{scanW}{substring}
 \calls{scanW}{scanEsc}
 \calls{scanW}{scanW}
@@ -9994,7 +9909,8 @@ To pair badge and badgee
   (setq l |$sz|)
   (setq endid (|posend| |$ln| |$n|))
   (cond
-   ((or (equal endid l) (not (equal (qenum |$ln| endid) ESCAPE)))
+   ((or (equal endid l)
+        (not (= (char-code (char |$ln| endid)) (char-code #\_))))
     (setq |$n| endid)
     (list b (substring |$ln| n1 (- endid n1))))
    (t
@@ -10136,7 +10052,6 @@ NOTE: do not replace ``lyne'' with ``line''
 \defun{scanNumber}{scanNumber}
 \calls{scanNumber}{spleI}
 \calls{scanNumber}{lfinteger}
-\calls{scanNumber}{qenum}
 \calls{scanNumber}{spleI1}
 \calls{scanNumber}{scanExponent}
 \calls{scanNumber}{scanCheckRadix}
@@ -10150,21 +10065,21 @@ NOTE: do not replace ``lyne'' with ``line''
 (defun |scanNumber| ()
  (let (v w n a)
  (declare (special |$floatok| |$ln| |$sz| |$n|))
-  (setq a (|spleI| #'|digit?|))
+  (setq a (|spleI| #'digitp))
   (cond
    ((not (< |$n| |$sz|))
     (|lfinteger| a))
-   ((not (equal (qenum |$ln| |$n|) RADIXCHAR))
+   ((not (= (char-code (char |$ln| |$n|)) (char-code #\r)))
     (cond
-     ((and |$floatok| (equal (qenum |$ln| |$n|) DOT))
+     ((and |$floatok| (= (char-code (char |$ln| |$n|)) (char-code #\.)))
       (setq n |$n|)
       (setq |$n| (+ |$n| 1))
       (cond
-       ((and (< |$n| |$sz|) (equal (qenum |$ln| |$n|) DOT))
+       ((and (< |$n| |$sz|) (= (char-code (char |$ln| |$n|)) (char-code #\.)))
         (setq |$n| n)
         (|lfinteger| a))
        (t
-        (setq w (|spleI1| #'|digit?| t))
+        (setq w (|spleI1| #'digitp t))
         (|scanExponent| a w))))
      (t (|lfinteger| a))))
    (t
@@ -10174,11 +10089,11 @@ NOTE: do not replace ``lyne'' with ``line''
     (cond
      ((not (< |$n| |$sz|))
       (|lfrinteger| a w))
-      ((equal (qenum |$ln| |$n|) DOT)
+      ((= (char-code (char |$ln| |$n|)) (char-code #\.))
        (setq n |$n|)
        (setq |$n| (+ |$n| 1))
        (cond
-        ((and (< |$n| |$sz|) (equal (qenum |$ln| |$n|) DOT))
+        ((and (< |$n| |$sz|) (= (char-code (char |$ln| |$n|)) (char-code #\.)))
          (setq |$n| n)
          (|lfrinteger| a w))
         (t 
@@ -10386,12 +10301,11 @@ This function is used to build the scanKeyTable
 ;      VEC_-SETELT(d,h,v)
 ;      s
 \end{verbatim}
-\calls{scanInsert}{qenum}
 \begin{chunk}{defun scanInsert}
 (defun |scanInsert| (s d)
  (let (v k n u h l)
   (setq l (length s))
-  (setq h (qenum s 0))
+  (setq h (char-code (char s 0)))
   (setq u (elt d h))
   (setq n (length u))
   (setq k 0)
@@ -10460,7 +10374,7 @@ This function is used to build the scanKeyTable
      (t
       (cond
        ((null (|startsId?| (elt k 0)))
-        (setf (sbit a (qenum k 0)) 1)))))
+        (setf (sbit a (char-code (char k 0))) 1)))))
     (setq Var8 (cdr Var8))))
    listing nil)
   a))
@@ -10558,6 +10472,7 @@ Sets the current leaf (\$stok) to the next leaf in the input stream.
 Sets the current token (\$ttok) cdr of the leaf.
 A leaf token looks like [head, token, position]
 where head is either an id or (id . alist)
+
 \calls{npFirstTok}{tokConstruct}
 \calls{npFirstTok}{tokPosn}
 \calls{npFirstTok}{tokPart}
@@ -10644,6 +10559,7 @@ Test for the keyword, if found advance the token stream
 This advances the input stream. The call to npFirstTok picks off the
 next token in the input stream and updates the current leaf (\$stok)
 and the current token (\$ttok)
+
 \calls{npNext}{npFirstTok}
 \usesdollar{npNext}{inputStream}
 \begin{chunk}{defun npNext}
@@ -11111,6 +11027,7 @@ and the current token (\$ttok)
 
 \defun{npADD}{npADD}
 \tpdhere{Note that there is also an npAdd function}
+
 \calls{npADD}{npType}
 \calls{npADD}{npPop1}
 \calls{npADD}{npAdd}
@@ -11130,6 +11047,7 @@ and the current token (\$ttok)
 
 \defun{npAdd}{npAdd}
 \tpdhere{Note that there is also an npADD function}
+
 \calls{npAdd}{npEqKey}
 \calls{npAdd}{npState}
 \calls{npAdd}{npDefinitionOrStatement}
@@ -11268,7 +11186,6 @@ and the current token (\$ttok)
 \end{chunk}
 
 \defun{npDotted}{npDotted}
-\calls{npDotted}{}
 \begin{chunk}{defun npDotted}
 (defun |npDotted| (f)
  (and (apply f nil) (|npAnyNo| #'|npSelector|)))
@@ -11356,6 +11273,7 @@ fn must transform the head of the stack
 
 \defun{npMdef}{npMdef}
 \tpdhere{Beware that this function occurs with uppercase also}
+
 \calls{npMdef}{npQuiver}
 \calls{npMdef}{pfCheckMacroOut}
 \calls{npMdef}{npPop1}
@@ -11382,6 +11300,7 @@ fn must transform the head of the stack
 
 \defun{npMDEF}{npMDEF}
 \tpdhere{Beware that this function occurs with lowercase also}
+
 \calls{npMDEF}{npBackTrack}
 \calls{npMDEF}{npStatement}
 \calls{npMDEF}{npMDEFinition}
@@ -12552,6 +12471,7 @@ fn must transform the head of the stack
 
 \defun{npBacksetElse}{npBacksetElse}
 \tpdhere{Well this makes no sense.}
+
 \calls{npBacksetElse}{npEqKey}
 \begin{chunk}{defun npBacksetElse}
 (defun |npBacksetElse| ()
@@ -13028,6 +12948,7 @@ p o p o = (p o p) o
 
 \defun{npPP}{npPP}
 This was rewritten by NAG to remove flet.
+
 \calls{npPP}{npParened}
 \calls{npPP}{npPPf}
 \calls{npPP}{npPileBracketed}
@@ -17159,19 +17080,11 @@ output is an old-parser-style s-expression.
 
 \end{chunk}
 
-\defvar{dotdot}
-\begin{chunk}{initvars}
-(defvar |$dotdot| '|..|)
-
-\end{chunk}
-
 \defun{opTran}{Translate ops into internal symbols}
-\usesdollar{opTran}{dotdot}
 \begin{chunk}{defun opTran 0}
 (defun |opTran| (op)
- (declare (special |$dotdot|))
  (cond
-  ((equal op |$dotdot|) 'segment)
+  ((equal op '|..|) 'segment)
   ((eq op '[]) '|construct|)
   ((eq op '{}) '|braceFromCurly|)
   ((eq op 'is) '|is|)
@@ -20349,6 +20262,7 @@ THE PFORM DATA STRUCTURE
 The tokConstruct function is a constructer and selectors for leaf tokens.
 A leaf token looks like [head, token, position]
 where head is either an id or (id . alist)
+
 \calls{tokConstruct}{ifcar}
 \calls{tokConstruct}{pfNoPosition?}
 \calls{tokConstruct}{ncPutQ}
@@ -23214,7 +23128,7 @@ we return the remainder of the string without the leading prefix.
 
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{abbreviations help page}
+\cmdhead{abbreviations}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \begin{chunk}{abbreviations.help}
 ====================================================================
@@ -23289,7 +23203,6 @@ o )compile
  
 \end{chunk}
 
-\section{Functions}
 \defun{abbreviations}{abbreviations}
 \calls{abbreviations}{abbreviationsSpad2Cmd}
 \begin{chunk}{defun abbreviations}
@@ -23389,7 +23302,7 @@ o )compile
 
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{boot help page}
+\cmdhead{boot}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \begin{chunk}{boot.help}
 ====================================================================
@@ -23425,8 +23338,6 @@ o )system
 \fnref{set}
 \fnref{system}}
 
-\section{Functions}
-
 This command is in the list of \verb|$noParseCommands|
 \ref{noParseCommands} which means that its arguments are passed
 verbatim. This will eventually result in a call to the function
@@ -23434,7 +23345,7 @@ verbatim. This will eventually result in a call to the function
 
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{browse help page}
+\cmdhead{browse}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \begin{chunk}{browse.help}
 
@@ -23567,7 +23478,7 @@ This call sets the port, opens a socket, attaches it to a stream,
 and then calls ``multiServ'' with that stream. The ``multiServ''
 function loops serving web responses to that port.
 
-\section{The )browse command}
+\section{\enspace{}The )browse command}
 In order to make the whole process cleaner the function ``)browse''
 handles the details. This code creates the command-line function for )browse
 
@@ -23619,8 +23530,7 @@ axServer is the domain vector which we supply ``by hand''.
 
 The socket can be supplied on the command line but defaults to 8085.
 Axiom supplies the arguments as a list.
-\section{Variables Used}
-\section{Functions}
+
 \calls{browse}{set}
 \calls{browse}{loadLib}
 \calls{browse}{AxiomServer}
@@ -23652,11 +23562,11 @@ this command is allowed. It also has the side-effect of putting the
 command into the \$SYSCOMMANDS variable which is used to determine
 if the token is a command.
 
-\section{The server support code}
+\section{\enspace{}The server support code}
 
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{cd help page}
+\cmdhead{cd}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \begin{chunk}{cd.help}
 ====================================================================
@@ -23700,12 +23610,9 @@ o )spool
 \fnref{read}
 \fnref{spool}}
 
-\section{Variables Used}
-\section{Functions}
-
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{clear help page}
+\cmdhead{clear}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \begin{chunk}{clear.help}
 ====================================================================
@@ -23794,14 +23701,12 @@ o )undo
 \fnref{history}
 \fnref{undo}}
 
-\section{Variables Used}
 \defdollar{clearOptions}
 \begin{chunk}{initvars}
 (defvar |$clearOptions| '(|modes| |operations| |properties| |types| |values|))
 
 \end{chunk}
 
-\section{Functions}
 \defun{clear}{clear}
 \calls{clear}{clearSpad2Cmd}
 \begin{chunk}{defun clear}
@@ -24130,7 +24035,7 @@ Clear all the options except the argument.
 
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{close help page}
+\cmdhead{close}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \begin{chunk}{close.help}
 ====================================================================
@@ -24176,7 +24081,6 @@ o )pquit
 \fnref{quit}
 \fnref{pquit}}
 
-\section{Functions}
 \defun{queryClients}{queryClients}
 Returns the number of active scratchpad clients
 \calls{queryClients}{sockSendInt}
@@ -24241,7 +24145,7 @@ Returns the number of active scratchpad clients
 
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{compile help page}
+\cmdhead{compile}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \begin{chunk}{compile.help}
 ====================================================================
@@ -24363,8 +24267,6 @@ o )library
 \fnref{edit}
 \fnref{library}}
 
-\section{Functions}
-
 \defvar{/editfile}
 \begin{chunk}{initvars}
 (defvar /editfile nil)
@@ -24373,7 +24275,7 @@ o )library
 
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{copyright help page}
+\cmdhead{copyright}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \begin{chunk}{copyright.help}
 The term Axiom, in the field of computer algebra software, 
@@ -24631,7 +24533,6 @@ Portions Copyright (c) 2003-2010 Jocelyn Guidry
 Portions Copyright (c) 2001-2010 Timothy Daly
 
 \end{chunk}
-\section{Functions}
 \defun{copyright}{copyright}
 \calls{copyright}{obey}
 \calls{copyright}{concat}
@@ -24658,11 +24559,9 @@ verbatim. This will eventually result in a call to the function
 
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{credits help page}
+\cmdhead{credits}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-\section{Variables Used}
-\section{Functions}
 \defun{credits}{credits}
 \uses{credits}{credits}
 \begin{chunk}{defun credits 0}
@@ -24679,7 +24578,7 @@ verbatim. This will eventually result in a call to the function
 
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{describe help page}
+\cmdhead{describe}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \begin{chunk}{describe.help}
 ====================================================================
@@ -24721,7 +24620,6 @@ The current value of \$describeOptions is
 
 \end{chunk}
 
-\section{Functions}
 \defun{describe}{Print comment strings from algebra libraries}
 This trivial function satisfies the standard pattern of making a
 user command match the name of the function which implements the
@@ -24875,7 +24773,7 @@ in the Category, Domain, or Package source code.
 
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{display help page}
+\cmdhead{display}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \begin{chunk}{display.help}
 ====================================================================
@@ -24967,7 +24865,6 @@ The current value of \$displayOptions is
 
 \end{chunk}
 
-\section{Functions}
 \defun{display}{display}
 This trivial function satisfies the standard pattern of making a
 user command match the name of the function which implements the
@@ -25253,7 +25150,7 @@ next brace but the problem does not arise in practice.
 
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{edit help page}
+\cmdhead{edit}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \begin{chunk}{edit.help}
 ====================================================================
@@ -25305,7 +25202,6 @@ o )read
 \fnref{system}
 \fnref{read}}
 
-\section{Functions}
 \defun{edit}{edit}
 \calls{edit}{editSpad2Cmd}
 \begin{chunk}{defun edit}
@@ -25430,7 +25326,7 @@ fi
 
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{fin help page}
+\cmdhead{fin}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \begin{chunk}{fin.help}
 ====================================================================
@@ -25468,8 +25364,6 @@ o )quit
 
 \end{chunk}
 
-\section{Functions}
-
 This command is in the list of \verb|$noParseCommands|
 \ref{noParseCommands} which means that its arguments are passed
 verbatim. This will eventually result in a call to the function
@@ -25477,7 +25371,7 @@ verbatim. This will eventually result in a call to the function
 
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{frame help page}
+\cmdhead{frame}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \begin{chunk}{frame.help}
 ====================================================================
@@ -25577,9 +25471,8 @@ o )set
 \fnref{history}
 \fnref{set}}
 
-\section{Variables Used}
 The frame mechanism uses several dollar variables.
-\subsection{Primary variables}
+
 Primary variables are those which exist solely to make the frame
 mechanism work. 
 
@@ -25608,8 +25501,6 @@ using the system command:
 Setting frame messages on will output a line detailing the 
 current frame after every output is complete. 
 
-\subsection{Used variables}
-
 The frame collects and uses a few top level variables. These are:
 \$InteractiveFrame, \$IOindex, \$HiFiAccess, \$HistList, \$HistListLen,
 \$HistListAct, \$HistRecord, \$internalHistoryTable, and \$localExposureData.
@@ -25640,7 +25531,7 @@ The parts of a frame and their initial, default values are:
   $localExposureData         a copy of $localExposureData
 \end{verbatim}
 
-\section{Accessor Functions}
+\subsection{Accessor Functions}
 These could be macros but we wish to export them to the API code
 in the algebra so we keep them as functions.
 \subsection{0th Frame Component -- frameName}
@@ -26257,7 +26148,7 @@ S2IZ0079
 
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{help help page}
+\cmdhead{help}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \begin{chunk}{help.help}
 ====================================================================
@@ -26394,7 +26285,6 @@ Available algebra help topics are:
 
 \end{chunk} 
 
-\section{Functions}
 \defunsec{help}{The top level help command}
 \calls{help}{helpSpad2Cmd}
 \begin{chunk}{defun help}
@@ -26468,7 +26358,7 @@ Available algebra help topics are:
 
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{history help page}
+\cmdhead{history}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \begin{chunk}{history.help}
 ====================================================================
@@ -26660,8 +26550,7 @@ environment to \verb|$HistList| and \verb|$HistRecord|.
 (defvar |$useInternalHistoryTable| t  "t means keep history in core")
 
 \end{chunk}
-\section{Data Structures}
-\section{Functions}
+
 \defun{makeHistFileName}{makeHistFileName}
 \calls{makeHistFileName}{makePathname}
 \begin{chunk}{defun makeHistFileName}
@@ -27717,7 +27606,7 @@ Also used in the output routines.
         (|putHist| a '|mode| x |$InteractiveFrame|))))))
 
 \end{chunk}
-\section{Lisplib output transformations}
+
 Lisplib output transformations
 
 Some types of objects cannot be saved by LISP/VM in lisplibs.
@@ -28281,7 +28170,7 @@ back.
  (when (probe-file file) (delete-file file)))
 
 \end{chunk}
-\section{History File Messages}
+
 \begin{chunk}{History File Messages}
 S2IH0001
  You have not reached step %1b yet, and so its value cannot be
@@ -28369,7 +28258,7 @@ S2IH0038
 
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{include help page}
+\cmdhead{include}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \begin{chunk}{include.help}
 
@@ -28386,7 +28275,7 @@ of another file inline with the current file.  The path can be an
 absolute or relative pathname.
 
 \end{chunk}
-\section{Functions}
+
 \defun{ncloopInclude1}{ncloopInclude1}
 \calls{ncloopInclude1}{ncloopIncFileName}
 \calls{ncloopInclude1}{ncloopInclude}
@@ -28454,7 +28343,7 @@ token in the string. If the string only 0 or more blanks it returns nil.
 
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{library help page}
+\cmdhead{library}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \begin{chunk}{library.help}
 ====================================================================
@@ -28519,7 +28408,7 @@ o )set
 
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{lisp help page}
+\cmdhead{lisp}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \begin{chunk}{lisp.help}
 ====================================================================
@@ -28554,8 +28443,6 @@ o )fin
 \fnref{boot}
 \fnref{fin}}
 
-\section{Functions}
-
 This command is in the list of \verb|$noParseCommands|
 \ref{noParseCommands} which means that its arguments are passed
 verbatim. This will eventually result in a call to the function
@@ -28563,7 +28450,7 @@ verbatim. This will eventually result in a call to the function
 
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{ltrace help page}
+\cmdhead{ltrace}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \begin{chunk}{ltrace.help}
 ====================================================================
@@ -28599,12 +28486,9 @@ o )trace
 
 \end{chunk}
 
-\section{Variables Used}
-\section{Functions}
-
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{pquit help page}
+\cmdhead{pquit}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \begin{chunk}{pquit.help}
 ====================================================================
@@ -28659,7 +28543,6 @@ o )system
 \fnref{quit}
 \fnref{system}}
 
-\section{Functions}
 \defunsec{pquit}{The top level pquit command}
 \calls{pquit}{pquitSpad2Cmd}
 \begin{chunk}{defun pquit}
@@ -28688,7 +28571,7 @@ verbatim. This will eventually result in a call to the function
 
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{quit help page}
+\cmdhead{quit}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \begin{chunk}{quit.help}
 ====================================================================
@@ -28740,7 +28623,6 @@ o )system
 \fnref{pquit}
 \fnref{system}}
 
-\section{Functions}
 \defunsec{quit}{The top level quit command}
 \calls{quit}{quitSpad2Cmd}
 \begin{chunk}{defun quit}
@@ -28786,7 +28668,7 @@ verbatim. This will eventually result in a call to the function
 
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{read help page}
+\cmdhead{read}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \begin{chunk}{read.help}
 ====================================================================
@@ -28922,7 +28804,7 @@ o )history
 
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{regress help page}
+\cmdhead{regress}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \begin{chunk}{regress.help}
 ====================================================================
@@ -29093,7 +28975,7 @@ The last line of output is a summary:
 
 \end{chunk}
 
-\section{The regress function details}
+\subsection{The regress function details}
 This is the regression test mechanism. The input files have been
 rewritten to have a standard structure. This fixed format identifies
 the tests within a file. Each test is run and any mismatch between
@@ -29443,7 +29325,7 @@ count marker. It is not required but is highly recommended.
 
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{savesystem help page}
+\cmdhead{savesystem}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \begin{chunk}{savesystem.help}
 ====================================================================
@@ -29501,7 +29383,7 @@ and Axiom exits. Then do
 
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{set help page}
+\cmdhead{set}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \begin{chunk}{set.help}
 ====================================================================
@@ -29560,7 +29442,7 @@ o )quit
 \end{chunk}
 \footnote{\fnref{quit}}
 
-\section{Overview}
+\subsection{Overview}
 This section contains tree of information used to initialize the {\bf )set} 
 command in the interpreter. The current list is:
 \begin{verbatim}
@@ -29590,8 +29472,7 @@ For example, issue )set  system to see what the options are
 for system. For more information, issue )help set .
 
 \end{verbatim}
-\section{Variables Used}
-\section{Functions}
+
 \defunsec{initializeSetVariables}{Initialize the set variables}
 The argument settree is initially the \verb|$setOption| variable.
 The fourth element is a union-style switch symbol.
@@ -29856,7 +29737,7 @@ explanations see the list structure section \ref{Theliststructure}.
   (t x))) 
 
 \end{chunk}
-\section{The list structure}
+\subsection{The list structure}
 \label{Theliststructure}
 The structure of each list item consists of 7 items.  Consider this 
 example:
@@ -29909,7 +29790,8 @@ These commands are restricted to keep the user from causing damage.
 \item TREE
 \end{list}
 \end{list}
-\section{breakmode}
+
+\section{\enspace{}set breakmode}
 \begin{verbatim}
 -------------------- The breakmode Option ---------------------
 
@@ -29942,7 +29824,8 @@ These commands are restricted to keep the user from causing damage.
    (|nobreak| |break| |query| |resume| |fastlinks| |quit|)
    |nobreak|)         ; needed to avoid possible startup looping
 \end{chunk}
-\section{debug}
+
+\section{\enspace{}set debug}
 \begin{verbatim}
                   Current Values of debug Variables                   
 
@@ -29963,7 +29846,8 @@ dalymode     Interpret leading open paren as lisp    off
 \getchunk{debugdalymode}
     ))
 \end{chunk}
-\section{debug lambda type}
+
+\subsection{set debug lambdatype}
 \begin{verbatim}
 ---------------------- The lambdatype Option ----------------------
 
@@ -29985,40 +29869,8 @@ dalymode     Interpret leading open paren as lisp    off
        (|on| |off|)
        |off|)
 \end{chunk}
-\section{debug dalymode}
-The \verb|$dalymode| variable is used in a case statement in 
-intloopReadConsole. This variable can be set to any non-nil
-value. When not nil the interpreter will send any line that begins
-with an ``('' to be sent to the underlying lisp. This is useful
-for debugging Axiom. The normal value of this variable is NIL.
-
-This variable was created as an alternative to prefixing every lisp
-command with )lisp. When doing a lot of debugging this is tedious
-and error prone. This variable was created to shortcut that process.
-Clearly it breaks some semantics of the language accepted by the
-interpreter as parens are used for grouping expressions.
 
-\begin{verbatim}
----------------------- The dalymode Option ----------------------
-
- Description: Interpret leading open paren as lisp
-
-\end{verbatim}
-\defdollar{dalymode}
-\begin{chunk}{initvars}
-(defvar $dalymode nil "Interpret leading open paren as lisp")
-
-\end{chunk}
-\begin{chunk}{debugdalymode}
-      (|dalymode|
-       "Interpret leading open paren as lisp"
-       |interpreter|
-       LITERALS
-       $dalymode
-       (|on| |off|)
-       |off|)
-\end{chunk}
-\section{compile}
+\section{\enspace{}set compiler}
 \begin{verbatim}
                   Current Values of  compiler  Variables                   
 
@@ -30039,7 +29891,8 @@ input        controls libraries from which to load compiled code
 \getchunk{compileinput}
     ))
 \end{chunk}
-\section{compile output}
+
+\subsection{set compiler output}
 \begin{verbatim}
 ---------------------- The output Option ----------------------
 
@@ -30056,8 +29909,7 @@ input        controls libraries from which to load compiled code
        |htSetOutputLibrary|
        )
 \end{chunk}
-\section{Variables Used}
-\section{Functions}
+
 \defunsec{setOutputLibrary}{The set output command handler}
 \calls{setOutputLibrary}{poundsign}
 \calls{setOutputLibrary}{describeOutputLibraryArgs}
@@ -30117,7 +29969,7 @@ The input-libraries and output-library are now truename based.
 
 \end{chunk}
 
-\section{compile input}
+\subsection{set compiler input}
 \begin{verbatim}
 ---------------------- The input Option -----------------------
 
@@ -30139,8 +29991,7 @@ The input-libraries and output-library are now truename based.
        |htSetInputLibrary|)
 \end{chunk}
 
-\section{Variables Used}
-\section{Functions}
+
 \defunsec{setInputLibrary}{The set input library command handler}
 The input-libraries is now maintained as a list of truenames.
 \calls{setInputLibrary}{describeInputLibraryArgs}
@@ -30227,7 +30078,41 @@ The input-libraries variable is now maintained as a list of truenames.
 
 \end{chunk}
 
-\section{expose}
+\section{\enspace{}set debug dalymode}
+The \verb|$dalymode| variable is used in a case statement in 
+intloopReadConsole. This variable can be set to any non-nil
+value. When not nil the interpreter will send any line that begins
+with an ``('' to be sent to the underlying lisp. This is useful
+for debugging Axiom. The normal value of this variable is NIL.
+
+This variable was created as an alternative to prefixing every lisp
+command with )lisp. When doing a lot of debugging this is tedious
+and error prone. This variable was created to shortcut that process.
+Clearly it breaks some semantics of the language accepted by the
+interpreter as parens are used for grouping expressions.
+
+\begin{verbatim}
+---------------------- The dalymode Option ----------------------
+
+ Description: Interpret leading open paren as lisp
+
+\end{verbatim}
+\defdollar{dalymode}
+\begin{chunk}{initvars}
+(defvar $dalymode nil "Interpret leading open paren as lisp")
+
+\end{chunk}
+\begin{chunk}{debugdalymode}
+      (|dalymode|
+       "Interpret leading open paren as lisp"
+       |interpreter|
+       LITERALS
+       $dalymode
+       (|on| |off|)
+       |off|)
+\end{chunk}
+
+\section{\enspace{}set expose}
 \begin{verbatim}
 ---------------------- The expose Option ----------------------
 
@@ -30267,7 +30152,6 @@ The input-libraries variable is now maintained as a list of truenames.
    |htSetExpose|)
 \end{chunk}
 
-\section{Variables Used}
 NOTE: If you add new algebra you must also update this list
 otherwise the new algebra won't be loaded by the interpreter when needed.
 
@@ -31614,7 +31498,6 @@ otherwise the new algebra won't be loaded by the interpreter when needed.
 
 \end{chunk}
 
-\section{Functions}
 \defunsec{setExpose}{The top level set expose command handler}
 \calls{setExpose}{displayExposedGroups}
 \calls{setExpose}{sayMSG}
@@ -31989,7 +31872,7 @@ It consists of [exposed groups,exposed constructors,hidden constructors]
      (|centerAndHighlight| c))))
 
 \end{chunk}
-\section{functions}
+\subsection{functions}
 \begin{verbatim}
              Current Values of  functions  Variables                  
 
@@ -32013,7 +31896,7 @@ recurrence   specially compile recurrence relations     on
   ))
 
 \end{chunk}
-\section{functions cache}
+\subsection{functions cache}
 \begin{verbatim}
 ---------------------- The cache Option -----------------------
 
@@ -32044,14 +31927,13 @@ recurrence   specially compile recurrence relations     on
       NIL
       |htSetCache|)
 \end{chunk}
-\section{Variables Used}
+
 \defdollar{cacheAlist}
 \begin{chunk}{initvars}
 (defvar |$cacheAlist| nil) 
 
 \end{chunk}
 
-\section{Functions}
 \defunsec{setFunctionsCache}{The top level set functions cache handler}
 \begin{verbatim}
 \calls{setFunctionsCache}{object2String}
@@ -32238,7 +32120,7 @@ recurrence   specially compile recurrence relations     on
 
 \end{chunk}
 
-\section{functions compile}
+\subsection{functions compile}
 \begin{verbatim}
 --------------------- The compile Option ----------------------
 
@@ -32267,7 +32149,7 @@ recurrence   specially compile recurrence relations     on
       (|on| |off|)
       |on|)
 \end{chunk}
-\section{functions recurrence}
+\subsection{functions recurrence}
 \begin{verbatim}
 -------------------- The recurrence Option --------------------
 
@@ -32296,7 +32178,7 @@ recurrence   specially compile recurrence relations     on
       (|on| |off|)
       |on|)
 \end{chunk}
-\section{fortran}
+\section{\enspace{}set fortran}
 \begin{verbatim}
               Current Values of  fortran  Variables                   
 
@@ -32342,7 +32224,7 @@ For more information, issue )help set .
   ))
 
 \end{chunk}
-\subsection{ints2floats}
+\subsection{set ints2floats}
 \begin{verbatim}
 ------------------- The ints2floats Option --------------------
 
@@ -32371,7 +32253,7 @@ For more information, issue )help set .
       (|on| |off|)
       |on|)
 \end{chunk}
-\subsection{fortindent}
+\subsection{set fortindent}
 \begin{verbatim}
 -------------------- The fortindent Option --------------------
 
@@ -32395,7 +32277,7 @@ For more information, issue )help set .
       (0 NIL)
       6)
 \end{chunk}
-\subsection{fortlength}
+\subsection{set fortlength}
 \begin{verbatim}
 -------------------- The fortlength Option --------------------
 
@@ -32419,7 +32301,7 @@ For more information, issue )help set .
       (1 NIL)
       72)
 \end{chunk}
-\subsection{typedecs}
+\subsection{set typedecs}
 \begin{verbatim}
 --------------------- The typedecs Option ---------------------
 
@@ -32448,7 +32330,7 @@ For more information, issue )help set .
       (|on| |off|)
       |on|)
 \end{chunk}
-\subsection{defaulttype}
+\subsection{set defaulttype}
 \begin{verbatim}
 ------------------- The defaulttype Option --------------------
 
@@ -32480,7 +32362,7 @@ For more information, issue )help set .
       (REAL INTEGER COMPLEX LOGICAL CHARACTER)
       REAL)
 \end{chunk}
-\subsection{precision}
+\subsection{set precision}
 \begin{verbatim}
 -------------------- The precision Option ---------------------
 
@@ -32509,7 +32391,7 @@ For more information, issue )help set .
        (|single| |double|)
        |double|)
 \end{chunk}
-\subsection{intrinsic}
+\subsection{set intrinsic}
 \begin{verbatim}
 -------------------- The intrinsic Option ---------------------
 
@@ -32539,7 +32421,7 @@ For more information, issue )help set .
        (|on| |off|)
        |off|)
 \end{chunk}
-\subsection{explength}
+\subsection{set explength}
 \begin{verbatim}
 -------------------- The explength Option ---------------------
 
@@ -32564,7 +32446,7 @@ For more information, issue )help set .
        (0 NIL)
        1320)
 \end{chunk}
-\subsection{segment}
+\subsection{set segment}
 \begin{verbatim}
 --------------------- The segment Option ----------------------
 
@@ -32592,7 +32474,7 @@ For more information, issue )help set .
        (|on| |off|)
        |on|)
 \end{chunk}
-\subsection{optlevel}
+\subsection{set optlevel}
 \begin{verbatim}
 --------------------- The optlevel Option ---------------------
 
@@ -32616,7 +32498,7 @@ For more information, issue )help set .
        (0 2)
        0)
 \end{chunk}
-\subsection{startindex}
+\subsection{set startindex}
 \begin{verbatim}
 -------------------- The startindex Option --------------------
 
@@ -32640,7 +32522,7 @@ For more information, issue )help set .
        (0 1)
        1)
 \end{chunk}
-\subsection{calling}
+\subsection{set calling}
 \begin{verbatim}
               Current Values of  calling  Variables                   
 
@@ -32665,7 +32547,7 @@ linker       linker arguments (e.g. libraries to search) -lxlf
       )
 
 \end{chunk}
-\subsubsection{tempfile}
+\subsubsection{set tempfile}
 \begin{verbatim}
 --------------------- The tempfile Option ---------------------
 
@@ -32927,7 +32809,7 @@ linker       linker arguments (e.g. libraries to search) -lxlf
 
 \end{chunk}
 
-\section{hyperdoc}
+\section{\enspace{}set hyperdoc}
 \begin{verbatim}
              Current Values of  hyperdoc  Variables                   
 
@@ -33001,7 +32883,8 @@ mathwidth    screen width for history output            120
       (0 NIL)
       120)
 \end{chunk}
-\section{help}
+
+\section{\enspace{}set help}
 \begin{verbatim}
                Current Values of  help  Variables                     
 
@@ -33050,7 +32933,8 @@ fullscreen   use fullscreen facility, if possible       on
      (|on| |off|)
      |on|)
 \end{chunk}
-\section{history}
+
+\section{\enspace{}set history}
 \begin{verbatim}
 --------------------- The history Option ----------------------
 
@@ -33079,7 +32963,8 @@ fullscreen   use fullscreen facility, if possible       on
    (|on| |off|)
    |on|)
 \end{chunk}
-\section{messages}
+
+\section{\enspace{}set messages}
 \begin{verbatim}
              Current Values of  messages  Variables                   
 
@@ -33143,7 +33028,8 @@ naglink      show NAGLink messages                      on
    ))
 
 \end{chunk}
-\subsection{any}
+
+\subsection{set message any}
 \begin{verbatim}
 ----------------------- The any Option ------------------------
 
@@ -33172,7 +33058,8 @@ naglink      show NAGLink messages                      on
       (|on| |off|)
       |on|)
 \end{chunk}
-\subsection{autoload}
+
+\subsection{set message autoload}
 \begin{verbatim}
 --------------------- The autoload Option ---------------------
 
@@ -33195,7 +33082,7 @@ naglink      show NAGLink messages                      on
 
 \end{chunk}
 
-\subsection{bottomup}
+\subsection{set message bottomup}
 \begin{verbatim}
 --------------------- The bottomup Option ---------------------
 
@@ -33225,7 +33112,8 @@ naglink      show NAGLink messages                      on
       |off|)
 
 \end{chunk}
-\subsection{coercion}
+
+\subsection{set message coercion}
 \begin{verbatim}
 --------------------- The coercion Option ---------------------
 
@@ -33255,7 +33143,8 @@ naglink      show NAGLink messages                      on
       |off|)
 
 \end{chunk}
-\subsection{dropmap}
+
+\subsection{set message dropmap}
 \begin{verbatim}
 --------------------- The dropmap Option ----------------------
 
@@ -33285,7 +33174,8 @@ naglink      show NAGLink messages                      on
       |off|)
 
 \end{chunk}
-\subsection{expose}
+
+\subsection{set message expose}
 \begin{verbatim}
 ---------------------- The expose Option ----------------------
 
@@ -33315,7 +33205,8 @@ naglink      show NAGLink messages                      on
       |off|)
 
 \end{chunk}
-\subsection{file}
+
+\subsection{set message file}
 \begin{verbatim}
 ----------------------- The file Option -----------------------
 
@@ -33345,7 +33236,8 @@ naglink      show NAGLink messages                      on
       |off|)
 
 \end{chunk}
-\subsection{frame}
+
+\subsection{set message frame}
 \begin{verbatim}
 ---------------------- The frame Option -----------------------
 
@@ -33374,7 +33266,8 @@ naglink      show NAGLink messages                      on
       |off|)
 
 \end{chunk}
-\subsection{highlighting}
+
+\subsection{set message highlighting}
 \begin{verbatim}
 ------------------- The highlighting Option -------------------
 
@@ -33404,7 +33297,8 @@ naglink      show NAGLink messages                      on
       |off|)
 
 \end{chunk}
-\subsection{instant}
+
+\subsection{set message instant}
 \begin{verbatim}
 --------------------- The instant Option ----------------------
 
@@ -33434,7 +33328,8 @@ naglink      show NAGLink messages                      on
       |off|)
 
 \end{chunk}
-\subsection{insteach}
+
+\subsection{set message insteach}
 \begin{verbatim}
 --------------------- The insteach Option ---------------------
 
@@ -33464,7 +33359,8 @@ naglink      show NAGLink messages                      on
       |off|)
 
 \end{chunk}
-\subsection{interponly}
+
+\subsection{set message interponly}
 \begin{verbatim}
 -------------------- The interponly Option --------------------
 
@@ -33494,7 +33390,8 @@ naglink      show NAGLink messages                      on
       |on|)
 
 \end{chunk}
-\subsection{naglink}
+
+\subsection{set message naglink}
 \begin{verbatim}
 --------------------- The naglink Option ----------------------
 
@@ -33524,7 +33421,8 @@ naglink      show NAGLink messages                      on
       |on|)
 
 \end{chunk}
-\subsection{number}
+
+\subsection{set message number}
 \begin{verbatim}
 ---------------------- The number Option ----------------------
 
@@ -33554,7 +33452,8 @@ naglink      show NAGLink messages                      on
       |off|)
 
 \end{chunk}
-\subsection{prompt}
+
+\subsection{set message prompt}
 \begin{verbatim}
 ---------------------- The prompt Option ----------------------
 
@@ -33586,7 +33485,8 @@ naglink      show NAGLink messages                      on
       |step|)
 
 \end{chunk}
-\subsection{selection}
+
+\subsection{set message selection}
 \begin{verbatim}
 -------------------- The selection Option ---------------------
 
@@ -33617,6 +33517,7 @@ TPDHERE: This is a duplicate of )set mes bot on because both use the
       |off|)
 
 \end{chunk}
+
 \subsection{set}
 \begin{verbatim}
 ----------------------- The set Option ------------------------
@@ -33646,7 +33547,7 @@ TPDHERE: This is a duplicate of )set mes bot on because both use the
       |off|)
 
 \end{chunk}
-\subsection{startup}
+\subsection{set message startup}
 \begin{verbatim}
 --------------------- The startup Option ----------------------
 
@@ -33676,7 +33577,7 @@ TPDHERE: This is a duplicate of )set mes bot on because both use the
       |on|)
 
 \end{chunk}
-\subsection{summary}
+\subsection{set message summary}
 \begin{verbatim}
 --------------------- The summary Option ----------------------
 
@@ -33707,7 +33608,8 @@ TPDHERE: This is a duplicate of )set mes bot on because both use the
       |off|)
 
 \end{chunk}
-\subsection{testing}
+
+\subsection{set message testing}
 \begin{verbatim}
 --------------------- The testing Option ----------------------
 
@@ -33737,7 +33639,8 @@ TPDHERE: This is a duplicate of )set mes bot on because both use the
       |off|)
 
 \end{chunk}
-\subsection{time}
+
+\subsection{set message time}
 \begin{verbatim}
 ----------------------- The time Option -----------------------
 
@@ -33767,7 +33670,8 @@ TPDHERE: This is a duplicate of )set mes bot on because both use the
       |off|)
 
 \end{chunk}
-\subsection{type}
+
+\subsection{set message type}
 \begin{verbatim}
 ----------------------- The type Option -----------------------
 
@@ -33796,7 +33700,8 @@ TPDHERE: This is a duplicate of )set mes bot on because both use the
       |on|)
 
 \end{chunk}
-\subsection{void}
+
+\subsection{set message void}
 \begin{verbatim}
 ----------------------- The void Option -----------------------
 
@@ -33825,7 +33730,8 @@ TPDHERE: This is a duplicate of )set mes bot on because both use the
       |off|)
 
 \end{chunk}
-\section{naglink}
+
+\section{\enspace{}set naglink}
 \begin{verbatim}
               Current Values of  naglink  Variables                   
 
@@ -33851,7 +33757,8 @@ double       enforce DOUBLE PRECISION ASPs              on
    ))
 
 \end{chunk}
-\subsection{host}
+
+\subsection{set naglink host}
 \begin{verbatim}
 ----------------------- The host Option -----------------------
 
@@ -33917,7 +33824,7 @@ double       enforce DOUBLE PRECISION ASPs              on
 
 \end{chunk}
 
-\subsection{persistence}
+\subsection{set naglink persistence}
 \begin{verbatim}
 ------------------- The persistence Option --------------------
 
@@ -33999,7 +33906,7 @@ double       enforce DOUBLE PRECISION ASPs              on
 
 \end{chunk}
 
-\subsection{messages}
+\subsection{set naglink messages}
 \begin{verbatim}
 --------------------- The messages Option ---------------------
 
@@ -34028,7 +33935,7 @@ TPDHERE: this is the same as )set nag mes on
        |on|)
 
 \end{chunk}
-\subsection{double}
+\subsection{set naglink double}
 \begin{verbatim}
 ---------------------- The double Option ----------------------
 
@@ -34057,7 +33964,8 @@ TPDHERE: this is the same as )set nag mes on
       |on|)
 
 \end{chunk}
-\section{output}
+
+\section{\enspace{}set output}
 The result of the {\bf )set output} command is:
 \begin{verbatim}
 Variable     Description                           Current Value
@@ -34101,7 +34009,8 @@ is defined within the output structure.
  ))
 
 \end{chunk}
-\subsection{abbreviate}
+
+\subsection{set output abbreviate}
 \begin{verbatim}
 -------------------- The abbreviate Option --------------------
 
@@ -34130,7 +34039,8 @@ is defined within the output structure.
       |off|)
 
 \end{chunk}
-\subsection{algebra}
+
+\subsection{set output algebra}
 \begin{verbatim}
 --------------------- The algebra Option ----------------------
 
@@ -34340,7 +34250,7 @@ The current setting is:  On:CONSOLE
 
 \end{chunk}
 
-\subsection{characters}
+\subsection{set output characters}
 \begin{verbatim}
 -------------------- The characters Option --------------------
 
@@ -34447,7 +34357,7 @@ The current setting is:  On:CONSOLE
 
 \end{chunk}
 
-\subsection{fortran}
+\subsection{set output fortran}
 \begin{verbatim}
 --------------------- The fortran Option ----------------------
 
@@ -34664,7 +34574,7 @@ The current setting is:  Off:CONSOLE
 
 \end{chunk}
 
-\subsection{fraction}
+\subsection{set output fraction}
 \begin{verbatim}
 --------------------- The fraction Option ---------------------
 
@@ -34693,141 +34603,109 @@ The current setting is:  Off:CONSOLE
       |vertical|)
 
 \end{chunk}
-\subsection{length}
-\begin{verbatim}
----------------------- The length Option ----------------------
-
- Description: line length of output displays
-
- The length option may be followed by an integer in the range 
- 10 to 245 inclusive. The current setting is 77 
-
-\end{verbatim}
-
-\defdollar{margin}
-\begin{chunk}{initvars}
-(defvar $margin 3)
-
-\end{chunk}
-
-\defdollar{linelength}
-\begin{chunk}{initvars}
-(defvar $linelength 77 "line length of output displays")
-
-\end{chunk}
 
-\begin{chunk}{outputlength}
-     (|length|
-      "line length of output displays"
-      |interpreter|
-      INTEGER
-      $LINELENGTH
-      (10 245)
-      77)
-
-\end{chunk}
-\subsection{mathml}
+\subsection{set output html}
 \begin{verbatim}
------------------------ The mathml Option ------------------------
+----------------------- The html Option ------------------------
 
- Description: create output in MathML style
+ Description: create output in html style
 
- )set output mathml is used to tell AXIOM to turn MathML-style output
+ )set output html is used to tell AXIOM to turn html-style output
 printing on and off, and where to place the output.  By default,
 the destination for the output is the screen but printing is 
 turned off.
 
-Syntax:   )set output mathml <arg>
+Syntax:   )set output html <arg>
     where arg can be one of
-  on          turn MathML printing on
-  off         turn MathML printing off (default state)
-  console     send MathML output to screen (default state)
-  fp<.fe>     send MathML output to file with file prefix fp
+  on          turn html printing on
+  off         turn html printing off (default state)
+  console     send html output to screen (default state)
+  fp<.fe>     send html output to file with file prefix fp
               and file extension .fe. If not given, 
-              .fe defaults to .smml.
+              .fe defaults to .html.
 
 If you wish to send the output to a file, you must issue 
 this command twice: once with on and once with the file name. 
-For example, to send MathML output to the file polymer.smml, 
+For example, to send MathML output to the file polymer.html, 
 issue the two commands
 
-  )set output mathml on
-  )set output mathml polymer
+  )set output html on
+  )set output html polymer
 
 The output is placed in the directory from which you invoked 
-AXIOM or the one you set with the )cd system command.
+Axiom or the one you set with the )cd system command.
 The current setting is:  Off:CONSOLE 
 \end{verbatim}
-\defdollar{mathmlFormat}
+\defdollar{htmlFormat}
 \begin{chunk}{initvars}
-(defvar |$mathmlFormat| nil "create output in MathML format")
+(defvar |$htmlFormat| nil "create output in HTML format")
 
 \end{chunk}
-\defdollar{mathmlOutputFile}
+\defdollar{htmlOutputFile}
 \begin{chunk}{initvars}
-(defvar |$mathmlOutputFile| "CONSOLE" 
-   "where MathML output goes (enter {\em console} or a pathname)")
+(defvar |$htmlOutputFile| "CONSOLE" 
+   "where HTML output goes (enter {\em console} or a pathname)")
 
 \end{chunk}
-\begin{chunk}{outputmathml}
-     (|mathml|
-      "create output in MathML style"
+\begin{chunk}{outputhtml}
+     (|html|
+      "create output in HTML style"
       |interpreter|
       FUNCTION
-      |setOutputMathml|
-      (("create output in MathML format"
+      |setOutputHtml|
+      (("create output in HTML format"
         LITERALS
-        |$mathmlFormat|
+        |$htmlFormat|
         (|off| |on|)
         |off|)
-       (|break| |$mathmlFormat|)
-       ("where MathML output goes (enter {\em console} or a pathname)"
+       (|break| |$htmlFormat|)
+       ("where HTML output goes (enter {\em console} or a pathname)"
         FILENAME
-        |$mathmlOutputFile|
+        |$htmlOutputFile|
         |chkOutputFileName|
         "console"))
       NIL)
 
 \end{chunk}
 
-\defun{setOutputMathml}{setOutputMathml}
-\calls{setOutputMathml}{defiostream}
-\calls{setOutputMathml}{concat}
-\calls{setOutputMathml}{describeSetOutputMathml}
-\calls{setOutputMathml}{qcdr}
-\calls{setOutputMathml}{qcar}
-\calls{setOutputMathml}{member}
-\calls{setOutputMathml}{upcase}
-\calls{setOutputMathml}{sayKeyedMsg}
-\calls{setOutputMathml}{shut}
-\calls{setOutputMathml}{pathnameType}
-\calls{setOutputMathml}{pathnameDirectory}
-\calls{setOutputMathml}{pathnameName}
-\callsdollar{setOutputMathml}{filep}
-\calls{setOutputMathml}{make-outstream}
-\calls{setOutputMathml}{object2String}
-\usesdollar{setOutputMathml}{mathmlOutputStream}
-\usesdollar{setOutputMathml}{mathmlOutputFile}
-\usesdollar{setOutputMathml}{mathmlFormat}
-\usesdollar{setOutputMathml}{filep}
-\begin{chunk}{defun setOutputMathml}
-(defun |setOutputMathml| (arg)
+\defun{setOutputHtml}{setOutputHtml}
+\calls{setOutputHtml}{defiostream}
+\calls{setOutputHtml}{concat}
+\calls{setOutputHtml}{describeSetOutputHtml}
+\calls{setOutputHtml}{qcdr}
+\calls{setOutputHtml}{qcar}
+\calls{setOutputHtml}{member}
+\calls{setOutputHtml}{upcase}
+\calls{setOutputHtml}{sayKeyedMsg}
+\calls{setOutputHtml}{shut}
+\calls{setOutputHtml}{pathnameType}
+\calls{setOutputHtml}{pathnameDirectory}
+\calls{setOutputHtml}{pathnameName}
+\callsdollar{setOutputHtml}{filep}
+\calls{setOutputHtml}{make-outstream}
+\calls{setOutputHtml}{object2String}
+\usesdollar{setOutputHtml}{htmlOutputStream}
+\usesdollar{setOutputHtml}{htmlOutputFile}
+\usesdollar{setOutputHtml}{htmlFormat}
+\usesdollar{setOutputHtml}{filep}
+\begin{chunk}{defun setOutputHtml}
+(defun |setOutputHtml| (arg)
  (let (label tmp1 tmp2 ptype fn ft fm filename teststream)
- (declare (special |$mathmlOutputStream| |$mathmlOutputFile| |$mathmlFormat|
+ (declare (special |$htmlOutputStream| |$htmlOutputFile| |$htmlFormat|
            $filep))
    (cond
     ((eq arg '|%initialize%|)
-     (setq |$mathmlOutputStream|
+     (setq |$htmlOutputStream|
       (defiostream '((mode . output) (device . console)) 255 0))
-     (setq |$mathmlOutputFile| "CONSOLE")
-     (setq |$mathmlFormat| nil))
+     (setq |$htmlOutputFile| "CONSOLE")
+     (setq |$htmlFormat| nil))
     ((eq arg '|%display%|)
-     (if |$mathmlFormat| 
+     (if |$htmlFormat| 
       (setq label "On:")
       (setq label "Off:"))
-     (concat label |$mathmlOutputFile|))
+     (concat label |$htmlOutputFile|))
     ((or (null arg) (eq arg '|%describe%|) (eq (car arg) '?))
-     (|describeSetOutputMathml|))
+     (|describeSetOutputHtml|))
     (t
      (cond
       ((and (consp arg) 
@@ -34843,14 +34721,14 @@ The current setting is:  Off:CONSOLE
             (progn (setq fn (qcar arg)) t))
        (cond
         ((|member| (upcase fn) '(y n ye o of))
-         (|sayKeyedMsg| 's2iv0002 '(|MathML| |mathml|)))
-        ((|member| (upcase fn) '(no off)) (setq |$mathmlFormat| nil))
-        ((|member| (upcase fn) '(yes on)) (setq |$mathmlFormat| t))
+         (|sayKeyedMsg| 's2iv0002 '(|HTML| |html|)))
+        ((|member| (upcase fn) '(no off)) (setq |$htmlFormat| nil))
+        ((|member| (upcase fn) '(yes on)) (setq |$htmlFormat| t))
         ((eq (upcase fn) 'console)
-         (shut |$mathmlOutputStream|)
-         (setq |$mathmlOutputStream|
+         (shut |$htmlOutputStream|)
+         (setq |$htmlOutputStream|
           (defiostream '((mode . output) (device . console)) 255 0))
-         (setq |$mathmlOutputFile| "CONSOLE"))))
+         (setq |$htmlOutputFile| "CONSOLE"))))
       ((or 
         (and (consp arg)
              (progn
@@ -34880,157 +34758,191 @@ The current setting is:  Off:CONSOLE
           (cond
            ((null filename) (|sayKeyedMsg| 's2iv0003 (list fn ft fm)))
            ((setq teststream (make-outstream filename 255 0))
-            (shut |$mathmlOutputStream|)
-            (setq |$mathmlOutputStream| teststream)
-            (setq |$mathmlOutputFile| (|object2String| filename))
-            (|sayKeyedMsg| 's2iv0004 (list "MathML" |$mathmlOutputFile|)))
+            (shut |$htmlOutputStream|)
+            (setq |$htmlOutputStream| teststream)
+            (setq |$htmlOutputFile| (|object2String| filename))
+            (|sayKeyedMsg| 's2iv0004 (list "HTML" |$htmlOutputFile|)))
            (t (|sayKeyedMsg| 's2iv0003 (list fn ft fm)))))
       (t 
        (|sayKeyedMsg| 's2iv0005 nil)
-       (|describeSetOutputMathml|))))))) 
+       (|describeSetOutputHtml|))))))) 
 
 \end{chunk}
 
-\defun{describeSetOutputMathml}{describeSetOutputMathml}
-\calls{describeSetOutputMathml}{sayBrightly}
-\calls{describeSetOutputMathml}{setOutputMathml}
-\begin{chunk}{defun describeSetOutputMathml}
-(defun |describeSetOutputMathml| ()
+\defun{describeSetOutputHtml}{describeSetOutputHtml}
+\calls{describeSetOutputHtml}{sayBrightly}
+\calls{describeSetOutputHtml}{setOutputHtml}
+\begin{chunk}{defun describeSetOutputHtml}
+(defun |describeSetOutputHtml| ()
  (|sayBrightly| (LIST
- '|%b| ")set output mathml"
- '|%d| "is used to tell AXIOM to turn MathML-style output"
+ '|%b| ")set output html"
+ '|%d| "is used to tell AXIOM to turn HTML-style output"
  '|%l| "printing on and off, and where to place the output.  By default, the"
  '|%l| "destination for the output is the screen but printing is turned off."
  '|%l|
- '|%l| "Syntax:   )set output mathml <arg>"
+ '|%l| "Syntax:   )set output html <arg>"
  '|%l| "    where arg can be one of"
- '|%l| "  on          turn MathML printing on"
- '|%l| "  off         turn MathML printing off (default state)"
- '|%l| "  console     send MathML output to screen (default state)"
- '|%l| "  fp<.fe>     send MathML output to file with file prefix fp and file"
+ '|%l| "  on          turn HTML printing on"
+ '|%l| "  off         turn HTML printing off (default state)"
+ '|%l| "  console     send HTML output to screen (default state)"
+ '|%l| "  fp<.fe>     send HTML output to file with file prefix fp and file"
  '|%l| "              extension .fe. If not given, .fe defaults to .stex."
  '|%l|
  '|%l| "If you wish to send the output to a file, you must issue this command"
  '|%l| "twice: once with"
  '|%b| "on"
  '|%d| "and once with the file name. For example, to send"
- '|%l| "MathML output to the file"
+ '|%l| "HTML output to the file"
  '|%b| "polymer.smml,"
  '|%d| "issue the two commands"
  '|%l|
- '|%l| "  )set output mathml on"
- '|%l| "  )set output mathml polymer"
+ '|%l| "  )set output html on"
+ '|%l| "  )set output html polymer"
  '|%l|
  '|%l| "The output is placed in the directory from which you invoked AXIOM or"
  '|%l| "the one you set with the )cd system command."
  '|%l| "The current setting is: "
- '|%b| (|setOutputMathml| '|%display%|)
+ '|%b| (|setOutputHtml| '|%display%|)
  '|%d|)))
 
 \end{chunk}
 
-\subsection{html}
+\subsection{set output length}
 \begin{verbatim}
------------------------ The html Option ------------------------
+---------------------- The length Option ----------------------
 
- Description: create output in html style
+ Description: line length of output displays
 
- )set output html is used to tell AXIOM to turn html-style output
+ The length option may be followed by an integer in the range 
+ 10 to 245 inclusive. The current setting is 77 
+
+\end{verbatim}
+
+\defdollar{margin}
+\begin{chunk}{initvars}
+(defvar $margin 3)
+
+\end{chunk}
+
+\defdollar{linelength}
+\begin{chunk}{initvars}
+(defvar $linelength 77 "line length of output displays")
+
+\end{chunk}
+
+\begin{chunk}{outputlength}
+     (|length|
+      "line length of output displays"
+      |interpreter|
+      INTEGER
+      $LINELENGTH
+      (10 245)
+      77)
+
+\end{chunk}
+
+\subsection{set output mathml}
+\begin{verbatim}
+----------------------- The mathml Option ------------------------
+
+ Description: create output in MathML style
+
+ )set output mathml is used to tell AXIOM to turn MathML-style output
 printing on and off, and where to place the output.  By default,
 the destination for the output is the screen but printing is 
 turned off.
 
-Syntax:   )set output html <arg>
+Syntax:   )set output mathml <arg>
     where arg can be one of
-  on          turn html printing on
-  off         turn html printing off (default state)
-  console     send html output to screen (default state)
-  fp<.fe>     send html output to file with file prefix fp
+  on          turn MathML printing on
+  off         turn MathML printing off (default state)
+  console     send MathML output to screen (default state)
+  fp<.fe>     send MathML output to file with file prefix fp
               and file extension .fe. If not given, 
-              .fe defaults to .html.
+              .fe defaults to .smml.
 
 If you wish to send the output to a file, you must issue 
 this command twice: once with on and once with the file name. 
-For example, to send MathML output to the file polymer.html, 
+For example, to send MathML output to the file polymer.smml, 
 issue the two commands
 
-  )set output html on
-  )set output html polymer
+  )set output mathml on
+  )set output mathml polymer
 
 The output is placed in the directory from which you invoked 
-Axiom or the one you set with the )cd system command.
+AXIOM or the one you set with the )cd system command.
 The current setting is:  Off:CONSOLE 
 \end{verbatim}
-\defdollar{htmlFormat}
+\defdollar{mathmlFormat}
 \begin{chunk}{initvars}
-(defvar |$htmlFormat| nil "create output in HTML format")
+(defvar |$mathmlFormat| nil "create output in MathML format")
 
 \end{chunk}
-\defdollar{htmlOutputFile}
+\defdollar{mathmlOutputFile}
 \begin{chunk}{initvars}
-(defvar |$htmlOutputFile| "CONSOLE" 
-   "where HTML output goes (enter {\em console} or a pathname)")
+(defvar |$mathmlOutputFile| "CONSOLE" 
+   "where MathML output goes (enter {\em console} or a pathname)")
 
 \end{chunk}
-\begin{chunk}{outputhtml}
-     (|html|
-      "create output in HTML style"
+\begin{chunk}{outputmathml}
+     (|mathml|
+      "create output in MathML style"
       |interpreter|
       FUNCTION
-      |setOutputHtml|
-      (("create output in HTML format"
+      |setOutputMathml|
+      (("create output in MathML format"
         LITERALS
-        |$htmlFormat|
+        |$mathmlFormat|
         (|off| |on|)
         |off|)
-       (|break| |$htmlFormat|)
-       ("where HTML output goes (enter {\em console} or a pathname)"
+       (|break| |$mathmlFormat|)
+       ("where MathML output goes (enter {\em console} or a pathname)"
         FILENAME
-        |$htmlOutputFile|
+        |$mathmlOutputFile|
         |chkOutputFileName|
         "console"))
       NIL)
 
 \end{chunk}
 
-\defun{setOutputHtml}{setOutputHtml}
-\calls{setOutputHtml}{defiostream}
-\calls{setOutputHtml}{concat}
-\calls{setOutputHtml}{describeSetOutputHtml}
-\calls{setOutputHtml}{qcdr}
-\calls{setOutputHtml}{qcar}
-\calls{setOutputHtml}{member}
-\calls{setOutputHtml}{upcase}
-\calls{setOutputHtml}{sayKeyedMsg}
-\calls{setOutputHtml}{shut}
-\calls{setOutputHtml}{pathnameType}
-\calls{setOutputHtml}{pathnameDirectory}
-\calls{setOutputHtml}{pathnameName}
-\callsdollar{setOutputHtml}{filep}
-\calls{setOutputHtml}{make-outstream}
-\calls{setOutputHtml}{object2String}
-\usesdollar{setOutputHtml}{htmlOutputStream}
-\usesdollar{setOutputHtml}{htmlOutputFile}
-\usesdollar{setOutputHtml}{htmlFormat}
-\usesdollar{setOutputHtml}{filep}
-\begin{chunk}{defun setOutputHtml}
-(defun |setOutputHtml| (arg)
+\defun{setOutputMathml}{setOutputMathml}
+\calls{setOutputMathml}{defiostream}
+\calls{setOutputMathml}{concat}
+\calls{setOutputMathml}{describeSetOutputMathml}
+\calls{setOutputMathml}{qcdr}
+\calls{setOutputMathml}{qcar}
+\calls{setOutputMathml}{member}
+\calls{setOutputMathml}{upcase}
+\calls{setOutputMathml}{sayKeyedMsg}
+\calls{setOutputMathml}{shut}
+\calls{setOutputMathml}{pathnameType}
+\calls{setOutputMathml}{pathnameDirectory}
+\calls{setOutputMathml}{pathnameName}
+\callsdollar{setOutputMathml}{filep}
+\calls{setOutputMathml}{make-outstream}
+\calls{setOutputMathml}{object2String}
+\usesdollar{setOutputMathml}{mathmlOutputStream}
+\usesdollar{setOutputMathml}{mathmlOutputFile}
+\usesdollar{setOutputMathml}{mathmlFormat}
+\usesdollar{setOutputMathml}{filep}
+\begin{chunk}{defun setOutputMathml}
+(defun |setOutputMathml| (arg)
  (let (label tmp1 tmp2 ptype fn ft fm filename teststream)
- (declare (special |$htmlOutputStream| |$htmlOutputFile| |$htmlFormat|
+ (declare (special |$mathmlOutputStream| |$mathmlOutputFile| |$mathmlFormat|
            $filep))
    (cond
     ((eq arg '|%initialize%|)
-     (setq |$htmlOutputStream|
+     (setq |$mathmlOutputStream|
       (defiostream '((mode . output) (device . console)) 255 0))
-     (setq |$htmlOutputFile| "CONSOLE")
-     (setq |$htmlFormat| nil))
+     (setq |$mathmlOutputFile| "CONSOLE")
+     (setq |$mathmlFormat| nil))
     ((eq arg '|%display%|)
-     (if |$htmlFormat| 
+     (if |$mathmlFormat| 
       (setq label "On:")
       (setq label "Off:"))
-     (concat label |$htmlOutputFile|))
+     (concat label |$mathmlOutputFile|))
     ((or (null arg) (eq arg '|%describe%|) (eq (car arg) '?))
-     (|describeSetOutputHtml|))
+     (|describeSetOutputMathml|))
     (t
      (cond
       ((and (consp arg) 
@@ -35046,14 +34958,14 @@ The current setting is:  Off:CONSOLE
             (progn (setq fn (qcar arg)) t))
        (cond
         ((|member| (upcase fn) '(y n ye o of))
-         (|sayKeyedMsg| 's2iv0002 '(|HTML| |html|)))
-        ((|member| (upcase fn) '(no off)) (setq |$htmlFormat| nil))
-        ((|member| (upcase fn) '(yes on)) (setq |$htmlFormat| t))
+         (|sayKeyedMsg| 's2iv0002 '(|MathML| |mathml|)))
+        ((|member| (upcase fn) '(no off)) (setq |$mathmlFormat| nil))
+        ((|member| (upcase fn) '(yes on)) (setq |$mathmlFormat| t))
         ((eq (upcase fn) 'console)
-         (shut |$htmlOutputStream|)
-         (setq |$htmlOutputStream|
+         (shut |$mathmlOutputStream|)
+         (setq |$mathmlOutputStream|
           (defiostream '((mode . output) (device . console)) 255 0))
-         (setq |$htmlOutputFile| "CONSOLE"))))
+         (setq |$mathmlOutputFile| "CONSOLE"))))
       ((or 
         (and (consp arg)
              (progn
@@ -35083,56 +34995,56 @@ The current setting is:  Off:CONSOLE
           (cond
            ((null filename) (|sayKeyedMsg| 's2iv0003 (list fn ft fm)))
            ((setq teststream (make-outstream filename 255 0))
-            (shut |$htmlOutputStream|)
-            (setq |$htmlOutputStream| teststream)
-            (setq |$htmlOutputFile| (|object2String| filename))
-            (|sayKeyedMsg| 's2iv0004 (list "HTML" |$htmlOutputFile|)))
+            (shut |$mathmlOutputStream|)
+            (setq |$mathmlOutputStream| teststream)
+            (setq |$mathmlOutputFile| (|object2String| filename))
+            (|sayKeyedMsg| 's2iv0004 (list "MathML" |$mathmlOutputFile|)))
            (t (|sayKeyedMsg| 's2iv0003 (list fn ft fm)))))
       (t 
        (|sayKeyedMsg| 's2iv0005 nil)
-       (|describeSetOutputHtml|))))))) 
+       (|describeSetOutputMathml|))))))) 
 
 \end{chunk}
 
-\defun{describeSetOutputHtml}{describeSetOutputHtml}
-\calls{describeSetOutputHtml}{sayBrightly}
-\calls{describeSetOutputHtml}{setOutputHtml}
-\begin{chunk}{defun describeSetOutputHtml}
-(defun |describeSetOutputHtml| ()
+\defun{describeSetOutputMathml}{describeSetOutputMathml}
+\calls{describeSetOutputMathml}{sayBrightly}
+\calls{describeSetOutputMathml}{setOutputMathml}
+\begin{chunk}{defun describeSetOutputMathml}
+(defun |describeSetOutputMathml| ()
  (|sayBrightly| (LIST
- '|%b| ")set output html"
- '|%d| "is used to tell AXIOM to turn HTML-style output"
+ '|%b| ")set output mathml"
+ '|%d| "is used to tell AXIOM to turn MathML-style output"
  '|%l| "printing on and off, and where to place the output.  By default, the"
  '|%l| "destination for the output is the screen but printing is turned off."
  '|%l|
- '|%l| "Syntax:   )set output html <arg>"
+ '|%l| "Syntax:   )set output mathml <arg>"
  '|%l| "    where arg can be one of"
- '|%l| "  on          turn HTML printing on"
- '|%l| "  off         turn HTML printing off (default state)"
- '|%l| "  console     send HTML output to screen (default state)"
- '|%l| "  fp<.fe>     send HTML output to file with file prefix fp and file"
+ '|%l| "  on          turn MathML printing on"
+ '|%l| "  off         turn MathML printing off (default state)"
+ '|%l| "  console     send MathML output to screen (default state)"
+ '|%l| "  fp<.fe>     send MathML output to file with file prefix fp and file"
  '|%l| "              extension .fe. If not given, .fe defaults to .stex."
  '|%l|
  '|%l| "If you wish to send the output to a file, you must issue this command"
  '|%l| "twice: once with"
  '|%b| "on"
  '|%d| "and once with the file name. For example, to send"
- '|%l| "HTML output to the file"
+ '|%l| "MathML output to the file"
  '|%b| "polymer.smml,"
  '|%d| "issue the two commands"
  '|%l|
- '|%l| "  )set output html on"
- '|%l| "  )set output html polymer"
+ '|%l| "  )set output mathml on"
+ '|%l| "  )set output mathml polymer"
  '|%l|
  '|%l| "The output is placed in the directory from which you invoked AXIOM or"
  '|%l| "the one you set with the )cd system command."
  '|%l| "The current setting is: "
- '|%b| (|setOutputHtml| '|%display%|)
+ '|%b| (|setOutputMathml| '|%display%|)
  '|%d|)))
 
 \end{chunk}
 
-\subsection{openmath}
+\subsection{set output openmath}
 \begin{verbatim}
 ----------------------- The openmath Option ------------------------
 
@@ -35334,7 +35246,7 @@ The current setting is:  Off:CONSOLE
 
 \end{chunk}
 
-\subsection{script}
+\subsection{set output script}
 \begin{verbatim}
 ---------------------- The script Option ----------------------
 
@@ -35539,7 +35451,7 @@ The current setting is:  Off:CONSOLE
 
 \end{chunk}
 
-\subsection{scripts}
+\subsection{set output scripts}
 \begin{verbatim}
 --------------------- The scripts Option ----------------------
 
@@ -35568,7 +35480,7 @@ The current setting is:  Off:CONSOLE
       |off|)
 
 \end{chunk}
-\subsection{showeditor}
+\subsection{set output showeditor}
 \begin{verbatim}
 -------------------- The showeditor Option --------------------
 
@@ -35598,7 +35510,7 @@ The current setting is:  Off:CONSOLE
       |off|)
 
 \end{chunk}
-\subsection{tex}
+\subsection{set output tex}
 \begin{verbatim}
 ----------------------- The tex Option ------------------------
 
@@ -35794,7 +35706,8 @@ The current setting is:  Off:CONSOLE
  '|%d|)))
 
 \end{chunk}
-\section{quit}
+
+\section{\enspace{}quit}
 \begin{verbatim}
 ----------------------- The quit Option -----------------------
 
@@ -35823,7 +35736,8 @@ The current setting is:  Off:CONSOLE
    |protected|)
 
 \end{chunk}
-\section{streams}
+
+\section{\enspace{}streams}
 \begin{verbatim}
               Current Values of  streams  Variables                   
 
@@ -35845,7 +35759,8 @@ showall      display all stream elements computed       off
   ))
 
 \end{chunk}
-\subsection{calculate}
+
+\subsection{set streams calculate}
 \begin{verbatim}
 -------------------- The calculate Option ---------------------
 
@@ -35917,7 +35832,7 @@ showall      display all stream elements computed       off
 
 \end{chunk}
 
-\subsection{showall}
+\subsection{set streams showall}
 \begin{verbatim}
 --------------------- The showall Option ----------------------
 
@@ -35946,7 +35861,8 @@ showall      display all stream elements computed       off
      |off|)
 
 \end{chunk}
-\section{system}
+
+\section{\enspace{}set system}
 \begin{verbatim}
               Current Values of  system  Variables                    
 
@@ -35970,7 +35886,8 @@ prettyprint  prettyprint BOOT func's as they compile    off
    ))
 
 \end{chunk}
-\subsection{functioncode}
+
+\subsection{set system functioncode}
 \begin{verbatim}
 ------------------- The functioncode Option -------------------
 
@@ -36000,7 +35917,8 @@ prettyprint  prettyprint BOOT func's as they compile    off
       |off|)
 
 \end{chunk}
-\subsection{optimization}
+
+\subsection{set system optimization}
 \begin{verbatim}
 ------------------- The optimization Option -------------------
 
@@ -36030,7 +35948,8 @@ prettyprint  prettyprint BOOT func's as they compile    off
       |off|)
 
 \end{chunk}
-\subsection{prettyprint}
+
+\subsection{set system prettyprint}
 \begin{verbatim}
 ------------------- The prettyprint Option --------------------
 
@@ -36060,7 +35979,8 @@ prettyprint  prettyprint BOOT func's as they compile    off
       |on|)
 
 \end{chunk}
-\section{userlevel}
+
+\section{\enspace{}set userlevel}
 \begin{verbatim}
 -------------------- The userlevel Option ---------------------
 
@@ -36126,7 +36046,7 @@ prettyprint  prettyprint BOOT func's as they compile    off
 
 \end{chunk}
 
-\section{Set code}
+\section{\enspace{}Set code}
 
 \defun{set}{set}
 \calls{set}{set1}
@@ -36291,7 +36211,7 @@ printLoadMessages, which gets called with \verb|%describe%|
 
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{show help page}
+\cmdhead{show}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \begin{chunk}{show.help}
 ====================================================================
@@ -36873,7 +36793,7 @@ where <kind> =  ELT | CONST | Subsumed | (XLAM..) ..
 
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{spool help page}
+\cmdhead{spool}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \begin{chunk}{spool.help}
 ====================================================================
@@ -36911,7 +36831,7 @@ o )cd
 
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{summary help page}
+\cmdhead{summary}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \begin{chunk}{summary.help}
  )credits      : list the people who have contributed to Axiom
@@ -36965,7 +36885,7 @@ o )cd
 
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{synonym help page}
+\cmdhead{synonym}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \begin{chunk}{synonym.help}
 ====================================================================
@@ -37134,7 +37054,7 @@ verbatim. This will eventually result in a call to the function
 
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{system help page}
+\cmdhead{system}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \begin{chunk}{system.help}
 ====================================================================
@@ -37186,7 +37106,7 @@ verbatim. This will eventually result in a call to the function
 
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{tangle help page}
+\cmdhead{tangle}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \begin{chunk}{tangle.help}
 ====================================================================
@@ -37241,7 +37161,7 @@ matrix.input. The ``.input.pamphlet'' is optional.
 
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{trace help page}
+\cmdhead{trace}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \begin{chunk}{trace.help}
 ====================================================================
@@ -40021,7 +39941,7 @@ to convert the data into type "Expression"
 
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{undo help page}
+\cmdhead{undo}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \begin{chunk}{undo.help}
 ====================================================================
@@ -40086,7 +40006,7 @@ o )history
 \end{chunk} 
 \footnote{\fnref{history}}
 
-\section{Evaluation}
+\section{\enspace{}Evaluation}
 Some Antique Comments About the Interpreter
 
 EVAL BOOT contains the top level interface to the Scratchhpad-II
@@ -40518,7 +40438,7 @@ Calls evaluateType on a signature
 
 \end{chunk}
 
-\section{Data Structures}
+\section{\enspace{}Data Structures}
 \verb|$frameRecord = [delta1, delta2,... ]| where
 delta(i) contains changes in the ``backwards'' direction.
 Each delta(i) has the form \verb|((var . proplist)...)| where
@@ -40541,7 +40461,7 @@ If no changes are found for former, no special entry is given.
 The \verb|$previousBindings| is a copy of the 
 \verb|CAAR $InteractiveFrame|. This is used to
 compute the delta(i)s stored in \verb|$frameRecord|.
-\section{Functions}
+
 \subsection{Initial Undo Variables}
 \begin{verbatim}
 $undoFlag := true     --Default setting for undo is "on"
@@ -41209,7 +41129,7 @@ Removing undo lines from \verb|)hist )write linelist|
 
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{what help page}
+\cmdhead{what}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \begin{chunk}{what.help}
 ====================================================================
@@ -41609,7 +41529,7 @@ This displays all operation names containing these fragments
 
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{workfiles help page}
+\cmdhead{workfiles}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \defun{workfiles}{workfiles}
 \calls{workfiles}{workfilesSpad2Cmd}
@@ -41691,7 +41611,7 @@ This displays all operation names containing these fragments
 
 \newpage
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\cmdhead{zsystemdevelopment help page}
+\cmdhead{zsystemdevelopment}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \defun{zsystemdevelopment}{zsystemdevelopment}
 \calls{zsystemdevelopment}{zsystemDevelopmentSpad2Cmd}
@@ -44957,6 +44877,7 @@ Note that this assumes ``table'' is a string.
 \end{chunk}
 
 \defun{qenum}{qenum}
+\tpdhere{This is also used in bookvol10.3 in the CHAR domain. Fix this.}
 \begin{chunk}{defun qenum 0}
 (defun qenum (cvec ind)
  (char-code (char cvec ind)))
@@ -45359,7 +45280,7 @@ Given a form, $u$, we try to recover the input line that created it.
 
 \end{chunk}
 
-\section{U32Matrix}
+\section{\enspace{}U32Matrix}
 
 \defmacro{aref2U32}
 \begin{chunk}{defmacro aref2U32}
@@ -45405,7 +45326,7 @@ Given a form, $u$, we try to recover the input line that created it.
 
 \end{chunk}
 
-\section{U32VectorPolynomialOperations}
+\section{\enspace{}U32VectorPolynomialOperations}
 
 \defmacro{qsMulAdd6432}
 \begin{chunk}{defmacro qsMulAdd6432}
@@ -45465,14 +45386,14 @@ Given a form, $u$, we try to recover the input line that created it.
 
 \end{chunk}
 
-\section{DirectProduct}
+\section{\enspace{}DirectProduct}
 \defun{vec2list}{vec2list}
 \begin{chunk}{defun vec2list}
 (defun vec2list (vec) (coerce vec 'list))
 
 \end{chunk}
 
-\section{AlgebraicFunction}
+\section{\enspace{}AlgebraicFunction}
 \defun{retract}{retract}
 \calls{retract}{objMode}
 \calls{retract}{objVal}
@@ -45544,7 +45465,7 @@ Given a form, $u$, we try to recover the input line that created it.
 
 \end{chunk}
 
-\section{Any}
+\section{\enspace{}Any}
 \defun{spad2BootCoerce}{spad2BootCoerce}
 \begin{chunk}{defun spad2BootCoerce}
 (defun |spad2BootCoerce| (x source target)
@@ -45559,7 +45480,7 @@ Given a form, $u$, we try to recover the input line that created it.
 
 \end{chunk}
 
-\section{ParametricLinearEquations}
+\section{\enspace{}ParametricLinearEquations}
 \defun{algCoerceInteractive}{algCoerceInteractive}
 \begin{chunk}{defun algCoerceInteractive}
 (defun |algCoerceInteractive| (p source target)
@@ -45575,7 +45496,7 @@ Given a form, $u$, we try to recover the input line that created it.
 
 \end{chunk}
 
-\section{NumberFormats}
+\section{\enspace{}NumberFormats}
 \defun{ncParseFromString}{ncParseFromString}
 \begin{chunk}{defun ncParseFromString}
 (defun |ncParseFromString| (s)
@@ -45583,7 +45504,7 @@ Given a form, $u$, we try to recover the input line that created it.
 
 \end{chunk}
 
-\section{SingleInteger}
+\section{\enspace{}SingleInteger}
 \defun{qsquotient}{qsquotient}
 \begin{chunk}{defun qsquotient 0}
 (defun qsquotient (a b)
@@ -45682,14 +45603,14 @@ Given a form, $u$, we try to recover the input line that created it.
 
 \end{chunk}
 
-\section{Boolean}
+\section{\enspace{}Boolean}
 \defun{BooleanEquality}{The Boolean = function support}
 \begin{chunk}{defun BooleanEquality 0}
 (defun |BooleanEquality| (x y) (if x y (null y)))
 
 \end{chunk}
 
-\section{IndexedBits}
+\section{\enspace{}IndexedBits}
 \defmacro{truth-to-bit}{IndexedBits new function support}
 \begin{chunk}{defmacro truth-to-bit}
 (defmacro truth-to-bit (x) `(cond (,x 1) ('else 0)))
@@ -45792,7 +45713,7 @@ Given a form, $u$, we try to recover the input line that created it.
 
 \end{chunk}
 
-\section{KeyedAccessFile}
+\section{\enspace{}KeyedAccessFile}
 \defun{rdefinstream}{KeyedAccessFile defstream function support}
 This is a simpler interpface to RDEFIOSTREAM
 \calls{rdefinstream}{rdefiostream}
@@ -45814,7 +45735,7 @@ This is a simpler interpface to RDEFIOSTREAM
 
 \end{chunk}
 
-\section{Table}
+\section{\enspace{}Table}
 \defun{hashable}{Table InnerTable support}
 We look inside the Key domain given to Table and find if there is an
 equality predicate associated with the domain. If found then
@@ -46009,7 +45930,7 @@ an AssociationList representation
 
 \end{chunk}
 
-\section{Plot3d}
+\section{\enspace{}Plot3d}
 We catch numeric errors and throw a different failure than normal.
 The trapNumericErrors macro will return a pair of the the form
 {\tt Union(type-of-form, "failed")}. This pair is tested for eq-ness
@@ -46042,7 +45963,7 @@ It is used in the {\tt myTrap} local function in Plot3d.
 
 \end{chunk}
 
-\section{DoubleFloatVector}
+\section{\enspace{}DoubleFloatVector}
 Double Float Vectors are simple arrays of lisp double-floats
 made available at the Spad language level. Note that these vectors
 are 0 based whereas other Spad language vectors are 1-based.
@@ -46082,7 +46003,7 @@ are 0 based whereas other Spad language vectors are 1-based.
 
 \end{chunk}
 
-\section{ComplexDoubleFloatVector}
+\section{\enspace{}ComplexDoubleFloatVector}
 Complex Double Float Vectors are simple arrays of lisp double-floats
 made available at the Spad language level. Note that these vectors
 are 0 based whereas other Spad language vectors are 1-based.
@@ -46133,7 +46054,7 @@ occupies two positions in the real array.
 
 \end{chunk}
 
-\section{DoubleFloatMatrix}
+\section{\enspace{}DoubleFloatMatrix}
 \defmacro{make-double-matrix}{DoubleFloatMatrix qnew function support}
 \begin{chunk}{defmacro make-double-matrix}
 (defmacro make-double-matrix (n m)
@@ -46178,7 +46099,7 @@ occupies two positions in the real array.
 
 \end{chunk}
 
-\section{ComplexDoubleFloatMatrix}
+\section{\enspace{}ComplexDoubleFloatMatrix}
 
 \defmacro{make-cdouble-matrix}{ComplexDoubleFloatMatrix function support}
 \begin{chunk}{defmacro make-cdouble-matrix}
@@ -46239,7 +46160,7 @@ occupies two positions in the real array.
 \end{chunk}
 
 
-\section{Integer}
+\section{\enspace{}Integer}
 \defun{divide2}{Integer divide function support}
 Note that this is defined as a SPADReplace function in Integer
 so that algebra code that uses the Integer divide function actually inlines
@@ -46289,7 +46210,7 @@ function is called directly. This could be lifted up into the spad code.
 
 \end{chunk}
 
-\section{IndexCard}
+\section{\enspace{}IndexCard}
 \defun{alqlGetOrigin}{IndexCard origin function support}
 \calls{alqlGetOrigin}{dbPart}
 \calls{alqlGetOrigin}{charPosition}
@@ -46327,7 +46248,7 @@ function is called directly. This could be lifted up into the spad code.
 
 \end{chunk}
 
-\section{OperationsQuery}
+\section{\enspace{}OperationsQuery}
 
 \defun{getBrowseDatabase}{OperationQuery getDatabase function support}
 This function, called as \verb|getBrowseDatabase(arg)| returns a list of
@@ -46352,7 +46273,7 @@ appropriate entries in the browser database. The legal values for arg are
 
 \end{chunk}
 
-\section{Database}
+\section{\enspace{}Database}
 \defun{stringMatches?}{Database elt function support}
 \calls{stringMatches?}{basicMatch?}
 \begin{chunk}{defun stringMatches?}
@@ -46361,7 +46282,7 @@ appropriate entries in the browser database. The legal values for arg are
 
 \end{chunk}
 
-\section{FileName}
+\section{\enspace{}FileName}
 \defun{fnameMake}{FileName filename function implementation}
 \calls{fnameMake}{StringToDir}
 \begin{chunk}{defun fnameMake}
@@ -46473,7 +46394,7 @@ For example,  ``/''  ``/u/smwatt''  ``../src''
 
 \end{chunk}
 
-\section{DoubleFloat}
+\section{\enspace{}DoubleFloat}
 These macros wrap their arguments with strong type information in
 order to optimize doublefloat computatations. They are used directly
 in the DoubleFloat domain (see Volume 10.3).
@@ -47734,7 +47655,7 @@ to the application: the {\tt OMgetType} function will return
 comments. When {\tt OMignoreComment} is called with {\tt OMtrue}, comments
 are ignored.
 
-\section{I/O Functions for Devices}
+\section{\enspace{}I/O Functions for Devices}
 
 We provide four functions that produce {\tt OMIO} objects for
 devices. These functions provide I/O through the {\tt stdio} library
@@ -47762,7 +47683,7 @@ a character string (null terminated). For output, {\tt s} will point to a
 string allocated by the library (note that the string {\tt s} points to can
 be reallocated by the library).
 
-\section{Communications}
+\section{\enspace{}Communications}
 
 A communication layer can be put above the device layer.  In fact, the
 I/O structure in a device provides all the necessary support to use
@@ -47874,7 +47795,7 @@ OMlaunchEnv(conn, "kama", "plot", "DISPLAY=rati:0 PATH=/users/bin");
 \item \verb+OMstatus OMconnClose(OMconn conn)+
 \end{itemize} 
 
-\section{Parameters}
+\section{\enspace{}Parameters}
 
 The library internally uses three functions that can be supplied by the user.
 \begin{itemize} 
@@ -47898,7 +47819,7 @@ detected in the library code data structures). The default value just does an
 All memory allocations and deallocations in the library are done through the
 {\tt OMmalloc} and {\tt OMfree} functions.
 
-\section{Miscellaneous Functions and Variables}
+\section{\enspace{}Miscellaneous Functions and Variables}
 
 \begin{itemize} 
 \item \verb+char *OMstatusToString(OMstatus status)+ make a status into a
@@ -47913,7 +47834,7 @@ encoding actually used by the device.
 about the library.
 \end{itemize} 
 
-\section{The OM.h header file}
+\section{\enspace{}The OM.h header file}
 \begin{verbatim}
 #ifndef __OM_h__
 #define __OM_h__
@@ -48365,7 +48286,7 @@ OMendPrototypes
 #endif /* __OM_h__ */
 \end{verbatim}
 
-\section{Axiom OpenMath stub functions}
+\section{\enspace{}Axiom OpenMath stub functions}
 These stub functions will eventually be expanded to handle OpenMath.
 See the OpenMathDevice domain in Volume 10.3. Note that the argument
 list for the Spad functions does not always match the argument list
@@ -59497,6 +59418,7 @@ digits in TechExplorer. Since Saturn is gone we can remove it.
 \getchunk{defun setMsgText 0}
 \getchunk{defun set-restart-hook 0}
 \getchunk{defun showMsgPos? 0}
+\getchunk{defun startsComment? 0}
 \getchunk{defun StreamNull 0}
 \getchunk{defun stripLisp 0}
 \getchunk{defun stripSpaces 0}
@@ -60934,7 +60856,6 @@ digits in TechExplorer. Since Saturn is gone we can remove it.
 \getchunk{defun splitIntoOptionBlocks}
 \getchunk{defun stackTraceOptionError}
 \getchunk{defun startp}
-\getchunk{defun startsComment?}
 \getchunk{defun startsNegComment?}
 \getchunk{defun statisticsInitialization}
 \getchunk{defun streamChop}
diff --git a/changelog b/changelog
index 47d2393..aff628d 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,9 @@
+20141217 tpd src/axiom-website/patches.html 20141217.01.tpd.patch
+20141217 tpd books/bookvol5 inline structure accesses
+20141217 tpd books/axiom.sty fix defvar syntax
+20141216 tpd src/axiom-website/patches.html 20141216.02.tpd.patch
+20141216 tpd books/bookvol5 clean, treeshake, and simplify
+20141216 tpd books/axiom.sty fix \cmdhead, add \sig writes
 20141216 tpd src/axiom-website/patches.html 20141216.01.tpd.patch
 20141216 tpd src/axiom-website/CATS/westerboolean.input.pdf add CATS test suite
 20141216 tpd src/axiom-website/CATS/westerboolean.input add CATS test suite
diff --git a/patch b/patch
index ca6c4ae..730168c 100644
--- a/patch
+++ b/patch
@@ -1 +1,3 @@
-src/input/westerboolean.input add new CATS test suite
+books/bookvol5 inline structure accesses
+
+Turn structure access functions into macros to inline code.
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index bb4ccc8..c3aa3a7 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4822,6 +4822,10 @@ buglist: bug 7273: wester algebra radicalSolve bug<br/>
 src/axiom-website/CATS/westeralgebra.input add CATS test suite
 <a href="patches/20141216.01.tpd.patch">20141216.01.tpd.patch</a>
 src/axiom-website/CATS/westerboolean.input add CATS test suite
+<a href="patches/20141216.02.tpd.patch">20141216.02.tpd.patch</a>
+books/bookvol5 clean, treeshake, and simplify<br/>
+<a href="patches/20141217.01.tpd.patch">20141217.01.tpd.patch</a>
+books/bookvol5 inline structure accesses<br/>
  </body>
 </html>
 
